######         BRO KING          ######


## The game starts here. ##

label start:
    
    stop music fadeout 3.0
    
    $ debug_mode = False
    $ starting_chapter = 1
    
    scene black with fade
    
    if persistent.seen_intro is None:
        jump intro
    
    elif debug:
        menu:
            "Choose a starting mode"
            
            "Normal mode - See intro":
                jump intro
                
            "Normal mode - No intro":
                jump quick_start
                
            "Debug mode - Quick start (chapter 1), cheats on, no events":
                $ debug_mode = "quick"
                jump quick_start
            
            "Debug mode - Select chapter start, cheats on, no events":
                $ debug_mode = "chapter"
                
                menu:
                    "Select Chapter"
                    
                    "Chapter 1":
                        $ starting_chapter = 1
                        
                    "Chapter 2":
                        $ starting_chapter = 2
                        
                    "Chapter 3":
                        $ starting_chapter = 3
                        
                    "Chapter 4":
                        $ starting_chapter = 4
                        
                    "Chapter 5":
                        $ starting_chapter = 5
                        
                    "Chapter 6":
                        $ starting_chapter = 6
                        
                    "Chapter 7":
                        $ starting_chapter = 7
            
            "Custom start":
                $ debug_mode = "custom"
    
    else:
        menu:
        
            "Would you like to see the intro?"
            
            "Yes":
                jump intro
                
            "No":
                jump quick_start
                

                
                

label quick_start:
    
    call init_game() from _call_init_game
    
    if debug_mode != "quick":
        
        if not debug_mode:
            $ MC.name = renpy.input("Choose your character's name", default = MC_name, length = 20)
        
        menu:
            "Which class do you want to play?"
            
            "Warrior":
                $ MC.set_playerclass("Warrior")
                
            "Wizard":
                $ MC.set_playerclass("Wizard")
                
            "Rogue trader":
                $ MC.set_playerclass("Trader")
                
        menu:
            "Which god do you worship?"
            
            "Arios, god of Light and Strength":
                $ MC.god = "Arios"
                $ MC.good += 1
            
            "Shalia, goddess of Shadows and Cunning":
                $ MC.god = "Shalia"
                $ MC.evil += 1
            
            "None":
                $ MC.god = None
                $ MC.neutral += 1
    
    $ main_firstvisit = False
    $ district_firstvisit = False
    $ brothel_firstvisit = False
    $ shop_firstvisit = False
    $ slavemarket_firstvisit = False
    $ girls_firstvisit = False
    $ postings_firstvisit = False
    $ farm_firstvisit = True
    
    
    # DEBUG OPTIONS
    
    if debug_mode == "quick":
        
        $ MC.set_playerclass("Wizard")
        
        python:
            for room in brothel.rooms.values():
                room.buy(forced=True)
            
        $ MC.girls = get_girls(20)
        $ MC.gold = 100000
        $ MC.speed = 30
        $ farm.active = True
        $ gizel_name = "Gizel"
        
    elif debug_mode == "chapter":
        $ MC.girls = get_girls(bro_capacity[starting_chapter][0])
        $ MC.gold = 100000
        $ MC.speed = 30
                
        call debug_load_chapter(starting_chapter) from _call_debug_load_chapter
                
    elif debug_mode == "custom":

        $ starting_girls = 0
        $ events_on = False
        
        label debug_custom_menu():
            
            menu:
                "Choose starting game options"
                
                "Debug mode - ON" if debug_mode:
                    $ debug_mode = False
                    jump debug_custom_menu
                            
                "Debug mode - OFF" if not debug_mode:
                    $ debug_mode = "custom"
                    jump debug_custom_menu
                    
                "Starting chapter - [starting_chapter]":
                    $ starting_chapter = int(renpy.input("Which chapter do you want to start at?", default=str(starting_chapter)))
                    jump debug_custom_menu
                    
                "Starting girls - [starting_girls]":
                    $ starting_girls = int(renpy.input("How many girls do you want to start with?", default=str(starting_girls)))
                    jump debug_custom_menu
                    
                "Starting gold - [MC.gold]":
                    $ MC.gold = int(renpy.input("How much gold do you want to start with?", default=str(MC.gold)))
                    jump debug_custom_menu
                    
                "Starting stats - Str. [MC.strength] / Spi. [MC.spirit] / Cha. [MC.charisma] / Spd [MC.speed]":
                    $ MC.strength = int(renpy.input("Choose player's Strength", default=str(MC.strength)))
                    $ MC.spirit = int(renpy.input("Choose player's Spirit", default=str(MC.spirit)))
                    $ MC.charisma = int(renpy.input("Choose player's Charisma", default=str(MC.charisma)))
                    $ MC.speed = int(renpy.input("Choose player's Speed", default=str(MC.speed)))
                    jump debug_custom_menu
                    
                "Events on - [events_on]":
                    $ events_on = not events_on
                    jump debug_custom_menu
                
                "Farm active - [farm.active]":
                    $ farm.active = not farm.active
                    jump debug_custom_menu
                    
                "START":
                    if events_on:
                        call init_events() from _call_init_events
                    
                    if starting_chapter > 1:
                        call debug_load_chapter(starting_chapter) from _call_debug_load_chapter_1
                    
                    $ MC.reset_interactions()
                    $ MC.girls = get_girls(starting_girls)

    if debug_mode:
        $ farm_firstvisit = False
        $ story_flags["found wagon"] = True
        $ story_flags["met carpenter"] = True
    
    $ renpy.call("chapter", starting_chapter, forced=True)
        
    if debug_mode != "quick" and starting_chapter in (1, 6):
                
            menu:
                "What will you use as a front for your business?"
                
                "A tavern":
                    $ brothel.add_room("tavern", forced=True)
                
                "A club":
                    $ brothel.add_room("club", forced=True)
                
                "A bath house":
                    $ brothel.add_room("onsen", forced=True)
                    
                "An okiya (geisha house)":
                    $ brothel.add_room("okiya", forced=True)
                    
    jump main
    
    

label init_game():
    
    screen black
    centered "Loading...{nw}"
    
    python:
        
    #### GAME ####
    
        game = Game()
        calendar = Calendar()
        
        # STORY #
        
        logs = defaultdict(bool)
        story_flags = defaultdict(bool)
        city_events = []
        daily_events = [StoryEvent("random_night_events", type="night", chance=0.1, once=False, date=6),
                        StoryEvent("random_morning_events", type="morning", chance=0.2, once=False, date=6),
                        ] # Contains conditional night or morning events (not alarms)
        night_checks = [] # Used for custom lists [girl, label] that will be checked every night (currently only girls with a customized _BK.ini file)
        story_gossip = [] # Stores chapter-specific and custom gossip
        
        # HELP FLAGS #
        
        help_tips = defaultdict(bool)
        help_tips["whore"] = True
        
        # FIRST TIME FLAGS #
    
        main_firstvisit = True
        district_firstvisit = True
        brothel_firstvisit = True
        shop_firstvisit = True
        slavemarket_firstvisit = True
        girls_firstvisit = True
        postings_firstvisit = True
        farm_firstvisit = True
        
        # UNIQUE IDS #
        
        girl_id_generated = 0
        minion_id_generated = defaultdict(int)
        
        # CUSTOM VARIABLE # 
        
        last_set_duration = 3 # Used for the farm
        autorest_limit = 0 # Used for autorest (0 = deactivated)
        
    #### MAIN CHARACTER ####
        
#        # DEFINE MC PICTURES #
        
#        MC_pics = [
#                    Picture("warrior1.webp", "MC/warrior1.webp"),
#                    Picture("warrior2.webp", "MC/warrior2.webp"),
#                    Picture("warrior3.webp", "MC/warrior3.webp"),
#                    Picture("mage1.webp", "MC/mage1.webp"),
#                    Picture("mage2.jpg", "MC/mage2.jpg"),
#                    Picture("mage3.webp", "MC/mage3.webp"),
#                    Picture("rogue1.webp", "MC/rogue1.webp"),
#                    Picture("rogue2.jpg", "MC/rogue2.jpg"),
#                    Picture("rogue3.jpg", "MC/rogue3.jpg")
#                    ]
        
        # CREATE MC #
        
        MC_name = "Nero"
        MC = Main()
        MC.char = you
        
        MC.challenges = {
                        "fight" : MC_challenge("Fight", stat="strength", opposed=True), # xxx
                        "force" : MC_challenge("Force", stat="strength", opposed=False), # xxx
                        "stamina" : MC_challenge("Stamina", stat="strength", opposed=False), # xx
                        
                        "cast" : MC_challenge("Cast Spell", stat="spirit", opposed=False), # xxx
                        "control" : MC_challenge("Control", stat="spirit", opposed=True), # xxx
                        "detect" : MC_challenge("Detect Magic", stat="spirit", opposed=False), # xx
            
                        "rally" : MC_challenge("Rally", stat="charisma", opposed=False), # xxx
                        "charm" : MC_challenge("Charm", stat="charisma", opposed=False), # xxx
                        "bluff" : MC_challenge("Bluff", stat="charisma", opposed=True), # xx
                        
                        "speed" : MC_challenge("Speed", stat="speed", opposed=False),
                        }
        
        
    #### NPCs #### Declare unique NPCs
        
        
        # DEFAULT NAMES #
                
        sill_name = "Sill"
        kuro_name = "Princess"
        maid_name = "Minako"
        gio_fucked_sill = ""
        kosmo_name = "Strange man"
        sergeant_name = "Woman"
        captain_name = "Captain Farah"
        lieutenant_name = "Lieutenant"
        maya_name = "Woman"
        maya_love = 0
        renza_name = "Woman"
        satella_name = "Girl"
        shalia_name = "Voice"
        mask_name = "Shadow"
        gizel_name = "Elf girl"
        stella_name = "Woman slaver"
        goldie_name = "Woman"
        willow_name = "Strange girl"
        gina_name = "Girl"
        carpenter_name = "Woman"
        bast_name = "Market girl"
        banker_name = "Mysterious woman"
        riche_name = "Sweet girl"
        ramias_name = "Tough girl"
        gurigura_name = "Wild girl"
        katryn_name = "Nerdy girl"
        today_name = "Happy tailor"
        yesterday_name = "Quiet tailor"
        jobgirl_name = "Freelancer"
        
        # NPC OBJECTS / TRAINERS #
        
        NPC_sill = NPC(name = "Sill", trainer_portrait = "side sill happy", trainer_description = "'{i}Another cum stain? *sigh* Give me that.{/i}'\n\n{b}The Caretaker{/b}\nGrants free upkeep to a random girl every night.", effects = Effect("special", "free upkeep", 1, scope = "brothel"))
        NPC_sad_sill = NPC(name = "Sad Sill", trainer_portrait = "side sill sad", trainer_description = "bla", effects = Effect("change", "charm", 40, scope = "brothel"))
        NPC_gio = NPC()
        NPC_kosmo = NPC()
        NPC_sergeant = NPC()
        NPC_maya = NPC(name = "Maya", trainer_portrait = "side maya", trainer_description = "'{i}Stick 'em with the pointy end!{/i}'\n\n{b}Martial training{/b}\nAll girls receive +2 to their personal defense.", effects = Effect("change", "defense", 2, scope = "brothel"))
        NPC_renza = NPC(name = "Renza", trainer_portrait = "side renza", trainer_description = "'{i}This purse seems heavy. Let me relieve you...{/i}'\n\n{b}Sleight of hand{/b}\nAll girls can pick pockets. Girls with the {i}Thief{/i} trait never get caught.", effects = Effect("special", "pickpocket", 1, scope = "brothel"))
        NPC_satella = NPC(name = "Satella", trainer_portrait = "side satella", trainer_description = "'{i}Isn't it fun to play in the shadows? Fufufu...{/i}'\n\n{b}Dark priestess{/b}\nFear increases faster.", effects = Effect("boost", "fear gains", 1, scope = "world"))
        NPC_captain = NPC(name = "Farah", trainer_portrait = "side captain", trainer_description = "'{i}If you wanna get on top, you must be ready to do anything. ANYTHING!{/i}'\n\n{b}Immoral{/b}\nGirls will grow used to anal and fetish acts faster.", effects = (Effect("change", "anal preferences changes", 25, scope = "brothel"), Effect("change", "fetish preferences changes", 25, scope = "brothel")))
        NPC_lieutenant = NPC(name = "Lydie", trainer_portrait = "side lieutenant", trainer_description = "'{i}Do you want me to make an example of you? I didn't think so.{/i}'\n\n{b}Harsh discipline{/b}\nGirls are less likely to refuse to work.", effects = Effect("boost", "obedience tests", 0.1, scope = "brothel"))
        NPC_gizel = NPC(name = "Gizel", defense = 3, trainer_portrait = "side gizel", trainer_description = "", effects = None)
        NPC_banker = NPC(name = "Banker", trainer_portrait = "side banker")
        NPC_riche = NPC(name = "Riche", char=riche, trainer_portrait = "side riche", item_types=["Flower"])
        NPC_ramias = NPC(name = "Ramias", char=ramias, trainer_portrait = "side ramias", item_types=["Weapon"])
        NPC_gurigura = NPC(name = "Gurigura", char=gurigura, trainer_portrait = "side gurigura", item_types=["Toy", "Food", "Supplies"])
        NPC_katryn = NPC(name = "Katryn", char=katryn, trainer_portrait = "side katryn", item_types=["Ring", "Necklace"])
        NPC_giftgirl = NPC(name = "Gift Shop Girl", char=giftgirl, trainer_portrait = "side giftgirl", item_types=["Gift", "Misc"])
        NPC_twins = NPC(name = "Today", char=today, trainer_portrait = "side today", item_types=["Dress", "Accessory"]) #!
        NPC_stella = NPC(name="Stella", char=stella, trainer_portrait = "side stella", trainer_description = "'{i}Your weak training techniques are no match for the Blood Islands.{/i}'\n\n{b}Intensive Farming{/b}\nIncreases the efficiency of all Farm sexual training.", effects = Effect("boost", "farm sexual training", 0.5, scope = "farm"))
        NPC_goldie = NPC(name="Goldie", char=goldie)
        NPC_willow = NPC(name="Willow", char=willow)
        NPC_gina = NPC(name="Gina", char=gina)
        NPC_bast = NPC(name="Bast", char=bast, trainer_portrait = "side bast", trainer_description = "'{i}Gold is only one of the many resources that can be traded in Zan.{/i}'\n\n{b}Resourceful{/b}\nPart of your brothel's income is converted to random resources.", effects = [Effect("special", "resources as income", 1.0, scope = "brothel"), Effect("boost", "income", 0.8)])
        NPC_jobgirl = NPC(name="Scarlet", char=jobgirl)
        NPC_kuro = NPC(name="Kurohime", char=kuro)
        
        MC.trainers.append(NPC_sill)
        MC.current_trainer = NPC_sill
        
        if debug_mode:
            MC.trainers.append(NPC_maya)
            MC.trainers.append(NPC_lieutenant)
            MC.trainers.append(NPC_captain)
            MC.trainers.append(NPC_renza)
            MC.trainers.append(NPC_satella)
            MC.trainers.append(NPC_bast)
            MC.trainers.append(NPC_stella)
#            MC.trainers.append(NPC_sad_sill)


    #### BROTHELS ####
        
        # BROTHEL LIST #
        
        blist = {
                1 : Brothel(1, upgrades = [1, 3], cost = 0, max_rep = 120, max_help = 8), #, adv_value = 1, maint_value = 1),
                2 : Brothel(2, [2, 5], 1000, max_rep = 1150, max_help = 16), #, adv_value = 2, maint_value = 1),
                3 : Brothel(2, [3, 6], 5000, max_rep = 1800, max_help = 24), #, adv_value = 4, maint_value = 1),
                4 : Brothel(3, [3, 8], 7500, max_rep = 5800, max_help = 32), #, adv_value = 8, maint_value = 1.5),
                5 : Brothel(3, [4, 9], 15000, max_rep = 8000, max_help = 40), #, adv_value = 16, maint_value = 1.5),
                6 : Brothel(4, [5, 11], 25000, max_rep = 18500, max_help = 48), #, adv_value = 24, maint_value = 2),
                7 : Brothel(5, [6, 12], 0, max_rep = 33750, max_help = 64), #, adv_value = 32, maint_value = 2.5)
                }
        
        
 
        
        # CREATE FIRST BROTHEL
        
        brothel = copy.deepcopy(blist[1])
        brothel.setup("The Rose Garden")
        
        # FURNITURE
        
        all_furniture = [
            Furniture('Cardboard', type='Decoration', pic='Cardboard box.webp', rank=0, chapter=1, cost=[], duration=0, effects=[Effect("allow", "beggars", 1, scope="brothel")], ),
            Furniture('Beer keg', type='Decoration', pic='Beer keg.webp', rank=0, chapter=1, cost=[], duration=0, effects=[Effect("allow", "thugs", 1, scope="brothel")], ),
            Furniture('Basic painting', type='Decoration', pic='Decorative painting.webp', rank=2, chapter=2, cost=[('wood', 1), ('dye', 1), ('leather', 1), ], duration=0, effects=[Effect("allow", "laborers", 1, scope="brothel")], ),
            Furniture('Model boat', type='Decoration', pic='Model boat.webp', rank=2, chapter=2, cost=[('wood', 2), ('dye', 2), ('leather', 2), ], duration=1, effects=[Effect("allow", "sailors", 1, scope="brothel")], ),
            Furniture('Hearth', type='Decoration', pic='Hearth.webp', rank=2, chapter=2, cost=[('wood', 4), ('leather', 4), ], duration=2, effects=[Effect("allow", "commoners", 1, scope="brothel")], ),
            Furniture('Fine painting', type='Decoration', pic='Fantasy painting.webp', rank=2, chapter=3, cost=[('wood', 4), ('dye', 12), ('leather', 4), ], duration=3, effects=[Effect("allow", "craftsmen", 1, scope="brothel")], ),
            Furniture('Wine cases', type='Decoration', pic='Wine cases.webp', rank=3, chapter=4, cost=[('wood', 6), ('dye', 6), ('silk', 4), ], duration=4, effects=[Effect("allow", "bourgeois", 1, scope="brothel")], ),
            Furniture('Model airship', type='Decoration', pic='Model airship.webp', rank=3, chapter=4, cost=[('dye', 14), ('silk', 4), ('ore', 4), ], duration=5, effects=[Effect("allow", "guild members", 1, scope="brothel")], ),
            Furniture('Master painting', type='Decoration', pic='Erotic painting.webp', rank=3, chapter=5, cost=[('wood', 6), ('dye', 6), ('silk', 8), ('ore', 4), ], duration=6, effects=[Effect("allow", "patricians", 1, scope="brothel")], ),
            Furniture('Sparkling fountain', type='Decoration', pic='Sparkling fountain.webp', rank=4, chapter=6, cost=[('leather', 6), ('marble', 12), ('ore', 4), ], duration=7, effects=[Effect("allow", "aristocrats", 1, scope="brothel")], ),
            Furniture('Armorial bearings', type='Decoration', pic='Armorial bearings.webp', rank=4, chapter=6, cost=[('dye', 6), ('marble', 6), ('silk', 12), ('diamond', 1), ], duration=8, effects=[Effect("allow", "nobles", 1, scope="brothel")], ),
            Furniture('Chapel', type='Decoration', pic='Chapel.webp', rank=5, chapter=7, cost=[('marble', 8), ('silk', 8), ('ore', 4), ('diamond', 2), ], duration=9, effects=[Effect("allow", "royals", 1, scope="brothel")], ),
            Furniture('Small bar counter', type='Furnishing', pic='bar counter1.webp', rank=2, chapter=2, cost=[('wood', 4), ('leather', 4), ], duration=1, effects=[Effect("allow", "waitress preference", 1, scope="brothel")], ),
            Furniture('Polished bar counter', type='Furnishing', pic='bar counter2.webp', rank=3, chapter=4, cost=[('wood', 4), ('dye', 4), ('leather', 4), ('marble', 4), ('ore', 2), ], duration=3, upgrade='Small bar counter', effects=[Effect("allow", "waitress preference", 2, scope="brothel")], ),
            Furniture('Varnished bar counter', type='Furnishing', pic='bar counter3.webp', rank=4, chapter=6, cost=[('wood', 6), ('marble', 6), ('ore', 12), ], duration=5, upgrade='Polished bar counter', effects=[Effect("allow", "waitress preference", 3, scope="brothel")], ),
            Furniture('Lacquered bar counter', type='Furnishing', pic='bar counter4.webp', rank=5, chapter=7, cost=[('marble', 5), ('ore', 10), ], duration=7, upgrade='Varnished bar counter', effects=[Effect("allow", "waitress preference", 5, scope="brothel")], ),
            Furniture('Small washroom', type='Furnishing', pic='washroom1.webp', rank=2, chapter=2, cost=[('dye', 8), ], duration=1, effects=[Effect("allow", "masseuse preference", 1, scope="brothel")], ),
            Furniture('Clean washroom', type='Furnishing', pic='washroom2.webp', rank=3, chapter=4, cost=[('wood', 4), ('dye', 4), ('leather', 4), ('marble', 6), ], duration=3, upgrade='Small washroom', effects=[Effect("allow", "masseuse preference", 2, scope="brothel")], ),
            Furniture('Hot washroom', type='Furnishing', pic='washroom3.webp', rank=4, chapter=6, cost=[('wood', 6), ('marble', 12), ('silk', 6), ], duration=5, upgrade='Clean washroom', effects=[Effect("allow", "masseuse preference", 3, scope="brothel")], ),
            Furniture('Luxurious washroom', type='Furnishing', pic='washroom4.webp', rank=5, chapter=7, cost=[('marble', 10), ('silk', 5), ], duration=7, upgrade='Hot washroom', effects=[Effect("allow", "masseuse preference", 5, scope="brothel")], ),
            Furniture('Small stage', type='Furnishing', pic='stage1.webp', rank=2, chapter=2, cost=[('wood', 4), ('dye', 4), ], duration=1, effects=[Effect("allow", "dancer preference", 1, scope="brothel")], ),
            Furniture('Amateur stage', type='Furnishing', pic='stage2.webp', rank=3, chapter=4, cost=[('leather', 12), ('marble', 4), ('ore', 2), ], duration=3, upgrade='Small stage', effects=[Effect("allow", "dancer preference", 2, scope="brothel")], ),
            Furniture('Theatre stage', type='Furnishing', pic='stage3.webp', rank=4, chapter=6, cost=[('leather', 6), ('marble', 6), ('silk', 12), ], duration=5, upgrade='Amateur stage', effects=[Effect("allow", "dancer preference", 3, scope="brothel")], ),
            Furniture('Opera stage', type='Furnishing', pic='stage4.webp', rank=5, chapter=7, cost=[('marble', 5), ('silk', 10), ], duration=7, upgrade='Theatre stage', effects=[Effect("allow", "dancer preference", 5, scope="brothel")], ),
            Furniture('Small tatami room', type='Furnishing', pic='tatami room1.webp', rank=2, chapter=2, cost=[('dye', 4), ('leather', 4), ], duration=1, effects=[Effect("allow", "geisha preference", 1, scope="brothel")], ),
            Furniture('Fancy tatami room', type='Furnishing', pic='tatami room2.webp', rank=3, chapter=4, cost=[('dye', 12), ('silk', 6), ], duration=3, upgrade='Small tatami room', effects=[Effect("allow", "geisha preference", 2, scope="brothel")], ),
            Furniture('Rare tatami room', type='Furnishing', pic='tatami room3.webp', rank=4, chapter=6, cost=[('dye', 6), ('silk', 12), ('ore', 6), ], duration=5, upgrade='Fancy tatami room', effects=[Effect("allow", "geisha preference", 3, scope="brothel")], ),
            Furniture('Unique tatami room', type='Furnishing', pic='tatami room4.webp', rank=5, chapter=7, cost=[('silk', 10), ('ore', 5), ], duration=7, upgrade='Rare tatami room', effects=[Effect("allow", "geisha preference", 5, scope="brothel")], ),
            Furniture('Candy dispenser', type='Furnishing', pic='dispenser1.webp', rank=2, chapter=3, cost=[('wood', 6), ('dye', 4), ('leather', 6), ], duration=2, effects=[Effect("allow", "service preference", 1, scope="brothel")], ),
            Furniture('Ice cream dispenser', type='Furnishing', pic='dispenser2.webp', rank=3, chapter=5, cost=[('wood', 10), ('leather', 5), ('marble', 8), ('ore', 10), ], duration=4, upgrade='Candy dispenser', effects=[Effect("allow", "service preference", 2, scope="brothel")], ),
            Furniture('Lollipop dispenser', type='Furnishing', pic='dispenser3.webp', rank=4, chapter=6, cost=[('leather', 6), ('marble', 8), ('ore', 12), ], duration=6, upgrade='Ice cream dispenser', effects=[Effect("allow", "service preference", 3, scope="brothel")], ),
            Furniture('Magic mint dispenser', type='Furnishing', pic='dispenser4.webp', rank=5, chapter=7, cost=[('marble', 8), ('ore', 10), ], duration=8, upgrade='Lollipop dispenser', effects=[Effect("allow", "service preference", 5, scope="brothel")], ),
            Furniture('Small erotica collection', type='Furnishing', pic='shelves1.webp', rank=2, chapter=3, cost=[('wood', 6), ('dye', 6), ('leather', 4), ], duration=2, effects=[Effect("allow", "sex preference", 1, scope="brothel")], ),
            Furniture('Curious erotica collection', type='Furnishing', pic='shelves2.webp', rank=3, chapter=5, cost=[('wood', 5), ('leather', 10), ('marble', 10), ('ore', 8), ], duration=4, upgrade='Small erotica collection', effects=[Effect("allow", "sex preference", 2, scope="brothel")], ),
            Furniture('Mysterious erotica collection', type='Furnishing', pic='shelves3.webp', rank=4, chapter=6, cost=[('wood', 6), ('marble', 12), ('ore', 8), ], duration=6, upgrade='Curious erotica collection', effects=[Effect("allow", "sex preference", 3, scope="brothel")], ),
            Furniture('Mindblowing erotica collection', type='Furnishing', pic='shelves4.webp', rank=5, chapter=7, cost=[('marble', 10), ('ore', 8), ], duration=8, upgrade='Mysterious erotica collection', effects=[Effect("allow", "sex preference", 5, scope="brothel")], ),
            Furniture('Painted venus', type='Furnishing', pic='venus1.webp', rank=2, chapter=3, cost=[('dye', 16), ], duration=2, effects=[Effect("allow", "anal preference", 1, scope="brothel")], ),
            Furniture('Marble venus', type='Furnishing', pic='venus2.webp', rank=3, chapter=5, cost=[('dye', 15), ('marble', 10), ('silk', 8), ], duration=4, upgrade='Painted venus', effects=[Effect("allow", "anal preference", 2, scope="brothel")], ),
            Furniture('Veiled venus', type='Furnishing', pic='venus3.webp', rank=4, chapter=6, cost=[('dye', 6), ('marble', 8), ('silk', 12), ], duration=6, upgrade='Marble venus', effects=[Effect("allow", "anal preference", 3, scope="brothel")], ),
            Furniture('Ardent venus', type='Furnishing', pic='venus4.webp', rank=5, chapter=7, cost=[('marble', 10), ('silk', 8), ], duration=8, upgrade='Veiled venus', effects=[Effect("allow", "anal preference", 5, scope="brothel")], ),
            Furniture('Toy wooden horse', type='Furnishing', pic='woodhorse1.webp', rank=2, chapter=3, cost=[('wood', 6), ('dye', 2), ('leather', 8), ], duration=2, effects=[Effect("allow", "fetish preference", 1, scope="brothel")], ),
            Furniture('Spiked wooden horse', type='Furnishing', pic='woodhorse2.webp', rank=3, chapter=5, cost=[('wood', 15), ('silk', 10), ('ore', 8), ], duration=4, upgrade='Toy wooden horse', effects=[Effect("allow", "fetish preference", 2, scope="brothel")], ),
            Furniture('Polished wooden horse', type='Furnishing', pic='woodhorse3.webp', rank=4, chapter=6, cost=[('wood', 6), ('silk', 12), ('ore', 8), ], duration=6, upgrade='Spiked wooden horse', effects=[Effect("allow", "fetish preference", 3, scope="brothel")], ),
            Furniture('Mobile wooden horse', type='Furnishing', pic='woodhorse4.webp', rank=5, chapter=7, cost=[('silk', 8), ('ore', 10), ], duration=8, upgrade='Polished wooden horse', effects=[Effect("allow", "fetish preference", 5, scope="brothel")], ),
            Furniture('Basic outfit', type='Utility', pic='Basic outfit.webp', rank=0, chapter=1, cost=[], duration=0, effects=[Effect("set", "advertising value", 1, scope="brothel")], ),
            Furniture('Shepherd outfit', type='Utility', pic='Shepherd outfit.webp', rank=2, chapter=2, cost=[('wood', 2), ('leather', 6), ], duration=0, upgrade='Basic outfit', effects=[Effect("set", "advertising value", 2, scope="brothel")], ),
            Furniture('Priestess outfit', type='Utility', pic='Priestess outfit.webp', rank=2, chapter=3, cost=[('dye', 8), ('leather', 12), ], duration=1, upgrade='Shepherd outfit', effects=[Effect("set", "advertising value", 4, scope="brothel")], ),
            Furniture('Skimpy outfit', type='Utility', pic='Skimpy outfit.webp', rank=3, chapter=4, cost=[('dye', 8), ('leather', 4), ('silk', 4), ], duration=2, upgrade='Priestess outfit', effects=[Effect("set", "advertising value", 8, scope="brothel")], ),
            Furniture('Slutty outfit', type='Utility', pic='Slutty outfit.webp', rank=3, chapter=5, cost=[('dye', 10), ('leather', 2), ('silk', 10), ('ore', 4), ], duration=2, upgrade='Skimpy outfit', effects=[Effect("set", "advertising value", 16, scope="brothel")], ),
            Furniture('Kimono outfit', type='Utility', pic='Kimono outfit.webp', rank=4, chapter=6, cost=[('dye', 6), ('silk', 18), ], duration=3, upgrade='Slutty outfit', effects=[Effect("set", "advertising value", 32, scope="brothel")], ),
            Furniture('Idol outfit', type='Utility', pic='Idol outfit.webp', rank=5, chapter=7, cost=[('silk', 12), ('ore', 4), ], duration=3, upgrade='Kimono outfit', effects=[Effect("set", "advertising value", 64, scope="brothel")], ),
            Furniture('Basic door', type='Utility', pic='Basic door.webp', rank=0, chapter=1, cost=[], duration=0, effects=[Effect("boost", "security", 0)], ),
            Furniture('Fence', type='Utility', pic='Fence.webp', rank=2, chapter=2, cost=[('wood', 4), ('leather', 4), ], duration=0, upgrade='Basic door', effects=[Effect("boost", "security", 0.1)], ),
            Furniture('Small traps', type='Utility', pic='Small traps.webp', rank=2, chapter=3, cost=[('leather', 20), ], duration=1, upgrade='Fence', effects=[Effect("boost", "security", 0.2)], ),
            Furniture('Large traps', type='Utility', pic='Large traps.webp', rank=3, chapter=4, cost=[('wood', 8), ('leather', 4), ('ore', 4), ], duration=2, upgrade='Small traps', effects=[Effect("boost", "security", 0.3)], ),
            Furniture('Alarm system', type='Utility', pic='Alarm system.webp', rank=3, chapter=5, cost=[('leather', 12), ('marble', 4), ('ore', 10), ], duration=2, upgrade='Large traps', effects=[Effect("boost", "security", 0.4)], ),
            Furniture('Explosive traps', type='Utility', pic='Explosive traps.webp', rank=4, chapter=6, cost=[('leather', 6), ('ore', 18), ], duration=3, upgrade='Alarm system', effects=[Effect("boost", "security", 0.5)], ),
            Furniture('Zap traps', type='Utility', pic='Zap traps.webp', rank=5, chapter=7, cost=[('marble', 4), ('ore', 12), ], duration=3, upgrade='Explosive traps', effects=[Effect("boost", "security", 0.6)], ),
            Furniture('Basic broom', type='Utility', pic='Broom.webp', rank=0, chapter=1, cost=[], duration=0, effects=[Effect("boost", "maintenance", 0, scope="brothel")], ),
            Furniture('Buckets', type='Utility', pic='Buckets.webp', rank=2, chapter=2, cost=[('wood', 2), ('dye', 4), ('leather', 2), ], duration=0, upgrade='Basic broom', effects=[Effect("boost", "maintenance", 0.25, scope="brothel")], ),
            Furniture('Wheelbarrow', type='Utility', pic='Wheelbarrow.webp', rank=3, chapter=4, cost=[('wood', 4), ('dye', 4), ('leather', 4), ('ore', 4), ], duration=1, upgrade='Buckets', effects=[Effect("boost", "maintenance", 0.5, scope="brothel")], ),
            Furniture('Steam cart', type='Utility', pic='Steam cart.webp', rank=4, chapter=6, cost=[('leather', 6), ('marble', 6), ('silk', 6), ('ore', 6), ], duration=2, upgrade='Wheelbarrow', effects=[Effect("boost", "maintenance", 1, scope="brothel")], ),
            Furniture('Robot maid', type='Utility', pic='Robot maid.webp', rank=5, chapter=7, cost=[('silk', 6), ('ore', 10), ], duration=3, upgrade='Steam cart', effects=[Effect("boost", "maintenance", 1.5, scope="brothel")], ),
            Furniture('Wood statue', type='Decoration', pic='Bronze statue.webp', rank=2, chapter=2, cost=[('wood', 4), ('dye', 4), ], duration=1, effects=[Effect("boost", "brothel rep gains", 1, scope="brothel")], ),
            Furniture('Marble statue', type='Decoration', pic='Silver statue.webp', rank=3, chapter=4, cost=[('dye', 15), ('marble', 6), ], duration=2, upgrade='Wood statue', effects=[Effect("boost", "brothel rep gains", 2, scope="brothel")], ),
            Furniture('Gold statue', type='Decoration', pic='Gold statue.webp', rank=4, chapter=6, cost=[('dye', 6), ('ore', 20), ], duration=3, upgrade='Marble statue', effects=[Effect("boost", "brothel rep gains", 3, scope="brothel")], ),
            Furniture('Platinum statue', type='Decoration', pic='Platinum statue.webp', rank=5, chapter=7, cost=[('ore', 20), ('diamond', 1), ], duration=4, upgrade='Gold statue', effects=[Effect("boost", "brothel rep gains", 4, scope="brothel")], ),
            Furniture('Simple safe', type='Utility', pic='safe1.webp', rank=2, chapter=2, cost=[('wood', 4), ('dye', 2), ('leather', 4), ], duration=3, effects=[Effect("special", "safe", 3000)], ),
            Furniture('Locked safe', type='Utility', pic='safe2.webp', rank=3, chapter=4, cost=[('wood', 5), ('leather', 10), ('ore', 6), ], duration=5, upgrade='Simple safe', effects=[Effect("special", "safe", 6000)], ),
            Furniture('Secure safe', type='Utility', pic='safe3.webp', rank=4, chapter=6, cost=[('wood', 6), ('marble', 8), ('ore', 12), ('diamond', 1), ], duration=7, upgrade='Locked safe', effects=[Effect("special", "safe", 10000)], ),
            Furniture('Unbreakable safe', type='Utility', pic='safe4.webp', rank=5, chapter=7, cost=[('marble', 10), ('ore', 10), ('diamond', 2), ], duration=9, upgrade='Secure safe', effects=[Effect("special", "safe", 20000)], ),
            Furniture('Glass window', type='Windows', pic='glass1.webp', rank=2, chapter=3, cost=[('wood', 5), ('dye', 5), ('leather', 5), ], duration=3, effects=[Effect("boost", "naked preference increase", 0.25, scope="brothel")], ),
            Furniture('Persian window', type='Windows', pic='oriental1.webp', rank=2, chapter=3, cost=[('wood', 6), ('dye', 6), ('leather', 6), ], duration=3, effects=[Effect("boost", "service preference increase", 0.25, scope="brothel")], ),
            Furniture('Mirror', type='Windows', pic='mirror1.webp', rank=2, chapter=3, cost=[('wood', 7), ('dye', 7), ('leather', 7), ], duration=4, effects=[Effect("boost", "sex preference increase", 0.25, scope="brothel")], ),
            Furniture('Red curtains', type='Windows', pic='red curtains1.webp', rank=2, chapter=3, cost=[('wood', 6), ('dye', 10), ('leather', 6), ], duration=4, effects=[Effect("boost", "anal preference increase", 0.25, scope="brothel")], ),
            Furniture('Barred window', type='Windows', pic='barred1.webp', rank=2, chapter=3, cost=[('wood', 10), ('dye', 7), ('leather', 7), ], duration=4, effects=[Effect("boost", "fetish preference increase", 0.25, scope="brothel")], ),
            Furniture('Double window', type='Windows', pic='double window1.webp', rank=2, chapter=3, cost=[('wood', 12), ('dye', 6), ('leather', 6), ], duration=5, effects=[Effect("boost", "bisexual preference increase", 0.25, scope="brothel")], ),
            Furniture('Stained glass', type='Windows', pic='stainglass1.webp', rank=2, chapter=3, cost=[('wood', 10), ('dye', 8), ('leather', 8), ], duration=5, effects=[Effect("boost", "group preference increase", 0.25, scope="brothel")], ),
            Furniture('Glass window XL', type='Windows', pic='glass2.webp', rank=3, chapter=5, cost=[('wood', 5), ('dye', 10), ('marble', 6), ('silk', 6), ], duration=5, upgrade='Glass window', effects=[Effect("boost", "naked preference increase", 0.5, scope="brothel")], ),
            Furniture('Persian window XL', type='Windows', pic='oriental2.webp', rank=3, chapter=5, cost=[('wood', 10), ('leather', 5), ('marble', 5), ('silk', 10), ], duration=5, upgrade='Persian window', effects=[Effect("boost", "service preference increase", 0.5, scope="brothel")], ),
            Furniture('Mirror XL', type='Windows', pic='mirror2.webp', rank=3, chapter=5, cost=[('dye', 5), ('leather', 10), ('silk', 5), ('ore', 12), ], duration=6, upgrade='Mirror', effects=[Effect("boost", "sex preference increase", 0.5, scope="brothel")], ),
            Furniture('Red curtains XL', type='Windows', pic='red curtains2.webp', rank=3, chapter=5, cost=[('dye', 10), ('silk', 18), ], duration=6, upgrade='Red curtains', effects=[Effect("boost", "anal preference increase", 0.5, scope="brothel")], ),
            Furniture('Barred window XL', type='Windows', pic='barred2.webp', rank=3, chapter=5, cost=[('wood', 10), ('leather', 5), ('marble', 10), ('ore', 10), ], duration=6, upgrade='Barred window', effects=[Effect("boost", "fetish preference increase", 0.5, scope="brothel")], ),
            Furniture('Double window XL', type='Windows', pic='double window2.webp', rank=3, chapter=5, cost=[('leather', 15), ('marble', 10), ('silk', 6), ('ore', 6), ], duration=7, upgrade='Double window', effects=[Effect("boost", "bisexual preference increase", 0.5, scope="brothel")], ),
            Furniture('Stained glass XL', type='Windows', pic='stainglass2.webp', rank=3, chapter=5, cost=[('dye', 15), ('marble', 5), ('silk', 5), ('ore', 14), ], duration=7, upgrade='Stained glass', effects=[Effect("boost", "group preference increase", 0.5, scope="brothel")], ),
            Furniture('Washtub', type='Comfort', pic='Washtub.webp', rank=2, chapter=2, cost=[('wood', 4), ('dye', 4), ], duration=1, effects=[Effect("boost", "energy use", -0.15, scope="brothel")], ),
            Furniture('Bathtub', type='Comfort', pic='Bathtub.webp', rank=3, chapter=4, cost=[('dye', 15), ('marble', 6), ], duration=3, upgrade='Washtub', effects=[Effect("boost", "energy use", -0.3, scope="brothel")], ),
            Furniture('Royal bathtub', type='Comfort', pic='Royal bathtub.webp', rank=4, chapter=6, cost=[('dye', 6), ('marble', 10), ('silk', 10), ('diamond', 1), ], duration=5, upgrade='Bathtub', effects=[Effect("boost", "energy use", -0.45, scope="brothel")], ),
            Furniture('Steam jacuzzi', type='Comfort', pic='Steam jacuzzi.webp', rank=5, chapter=7, cost=[('marble', 10), ('silk', 5), ('ore', 5), ('diamond', 2), ], duration=7, upgrade='Royal bathtub', effects=[Effect("boost", "energy use", -0.6, scope="brothel")], ),
            Furniture('Simple bench', type='Comfort', pic='bench1.webp', rank=2, chapter=3, cost=[('wood', 20), ], duration=2, effects=[Effect("change", "job customer capacity", 1, scope="brothel")], ),
            Furniture('Large bench', type='Comfort', pic='bench2.webp', rank=3, chapter=5, cost=[('wood', 10), ('leather', 6), ('marble', 15), ('ore', 5), ], duration=4, upgrade='Simple bench', effects=[Effect("change", "job customer capacity", 2, scope="brothel")], ),
            Furniture('Comfortable sofa', type='Comfort', pic='sofa1.webp', rank=4, chapter=6, cost=[('leather', 6), ('silk', 20), ('diamond', 1), ], duration=6, upgrade='Large bench', effects=[Effect("change", "job customer capacity", 3, scope="brothel")], ),
            Furniture('Royal sofa', type='Comfort', pic='sofa2.webp', rank=5, chapter=7, cost=[('marble', 5), ('silk', 10), ('diamond', 2), ], duration=8, upgrade='Comfortable sofa', effects=[Effect("change", "job customer capacity", 4, scope="brothel")], ),
            Furniture('Comfortable bed', type='Comfort', pic='bed1.webp', rank=3, chapter=4, cost=[('wood', 10), ('leather', 8), ('silk', 6), ], duration=5, effects=[Effect("change", "whore customer capacity", 1, scope="brothel")], ),
            Furniture('Queen size bed', type='Comfort', pic='bed2.webp', rank=5, chapter=7, cost=[('marble', 5), ('silk', 20), ('diamond', 3), ], duration=10, upgrade='Comfortable bed', effects=[Effect("change", "whore customer capacity", 2, scope="brothel")], ),
            Furniture('Shoddy Altar of Mana', type='Altars', pic='mana altar1.webp', rank=2, chapter=2, cost=[('wood', 2), ('dye', 2), ('leather', 4), ], duration=2, effects=[Effect("change", "mana", 1, scope="brothel")], ),
            Furniture('Working Altar of Mana', type='Altars', pic='mana altar2.webp', rank=3, chapter=4, cost=[('leather', 15), ('marble', 3), ('silk', 2), ('ore', 1), ], duration=4, upgrade='Shoddy Altar of Mana', effects=[Effect("change", "mana", 2, scope="brothel")], ),
            Furniture('Powerful Altar of Mana', type='Altars', pic='mana altar3.webp', rank=4, chapter=6, cost=[('dye', 6), ('marble', 4), ('silk', 8), ('ore', 4), ('diamond', 1), ], duration=6, upgrade='Working Altar of Mana', effects=[Effect("change", "mana", 3, scope="brothel")], ),
            Furniture('Devastating Altar of Mana', type='Altars', pic='mana altar4.webp', rank=5, chapter=7, cost=[('marble', 6), ('silk', 6), ('ore', 6), ('diamond', 2), ], duration=8, upgrade='Powerful Altar of Mana', effects=[Effect("change", "mana", 4, scope="brothel")], ),
            Furniture('Weapon rack', type='Utilities', pic='weapon rack1.webp', rank=2, chapter=2, cost=[('dye', 2), ('leather', 4), ], duration=1, effects=[Effect("change", "defense", 1, scope="brothel")], ),
            Furniture('Weapon rack XL', type='Utilities', pic='weapon rack2.webp', rank=4, chapter=6, cost=[('wood', 6), ('marble', 10), ('ore', 12), ], duration=3, upgrade='Weapon rack', effects=[Effect("change", "defense", 2, scope="brothel")], ),
            Furniture('Small dressing', type='Comfort', pic='dressing1.webp', rank=2, chapter=2, cost=[('wood', 4), ('dye', 4), ('leather', 2), ], duration=2, effects=[Effect("boost", "upkeep", -0.05, scope="brothel")], ),
            Furniture('Fancy dressing', type='Comfort', pic='dressing2.webp', rank=3, chapter=4, cost=[('wood', 10), ('dye', 5), ('marble', 2), ('silk', 6), ], duration=4, upgrade='Small dressing', effects=[Effect("boost", "upkeep", -0.1, scope="brothel")], ),
            Furniture('Noble dressing', type='Comfort', pic='dressing3.webp', rank=4, chapter=6, cost=[('leather', 6), ('marble', 20), ('silk', 5), ], duration=6, upgrade='Fancy dressing', effects=[Effect("boost", "upkeep", -0.15, scope="brothel")], ),
            Furniture('Dim lights', type='Comfort', pic='dim.webp', rank=3, chapter=4, cost=[('wood', 10), ('leather', 5), ('silk', 2), ('ore', 4), ], duration=3, effects=[Effect("boost", "customer events", 0.5, scope="brothel"), Effect("boost", "crazy", 1, scope="brothel")], ),
            Furniture('Bright lights', type='Comfort', pic='bright.webp', rank=3, chapter=4, cost=[('wood', 10), ('leather', 5), ('silk', 2), ('ore', 4), ], duration=3, effects=[Effect("boost", "customer events", -1, scope="brothel"), Effect("boost", "crazy", -0.5, scope="brothel")], ),
            Furniture('Bookcase 1', type='Comfort', pic='bookshelf1.webp', rank=2, chapter=2, cost=[('wood', 4), ('dye', 4), ('leather', 4), ], duration=3, effects=[Effect("set", "all skill max", 75, scope="brothel"), Effect("set", "all skill max", 75, scope="farm")], ),
            Furniture('Bookcase 2', type='Comfort', pic='bookshelf2.webp', rank=3, chapter=4, cost=[('wood', 15), ('leather', 10), ('marble', 5), ('ore', 5), ], duration=6, upgrade='Bookcase 1', effects=[Effect("set", "all skill max", 125, scope="brothel"), Effect("set", "all skill max", 125, scope="farm")], ),
            Furniture('Bookcase 3', type='Comfort', pic='bookshelf3.webp', rank=4, chapter=6, cost=[('wood', 6), ('marble', 15), ('silk', 5), ('ore', 5), ('diamond', 2), ], duration=9, upgrade='Bookcase 2', effects=[Effect("set", "all skill max", 175, scope="brothel"), Effect("set", "all skill max", 175, scope="farm")], ),
            Furniture('Bookcase 4', type='Comfort', pic='bookshelf4.webp', rank=5, chapter=7, cost=[('marble', 15), ('silk', 5), ('ore', 5), ('diamond', 4), ], duration=12, upgrade='Bookcase 3', effects=[Effect("set", "all skill max", 225, scope="brothel"), Effect("set", "all skill max", 225, scope="farm")], ),

            ]
        
        furniture_dict = {}        
        for furn in all_furniture:
            furniture_dict[furn.name] = furn

    
    
    #### FARM ####
    
        
        farm_installations = {
                              "stables" : Installation(name = "stables", pic = "stables.jpg", tags = ["big"], minions = [Minion("stallion", name="Bob")], minion_type = "stallion", skill = "libido", rank = 1),
                              "pig stall" : Installation(name = "pig stall", pic = "pig stall.jpg", tags = ["beast"], minion_type = "beast", skill = "obedience"),
                              "monster den" : Installation(name = "monster den", pic = "monster den.jpg", tags = ["monster"], minion_type = "monster", skill = "constitution"),
                              "workshop" : Installation(name = "workshop", pic = "workshop.jpg", tags = ["machine", "toy"], minion_type = "machine", skill = "sensitivity"),
                              }
        farm = Farm()
            

        
    #### DISTRICTS ####
        
        # POPULATIONS #
        
        beggar = Population("beggars", "beggar.webp", diff = 15, range = 10, rank=1, weight=5, base_description="An extremely unrefined and undemanding class of customers. After all, beggars can't be choosers.")
        thug = Population("thugs", "thug.webp", diff = 20, range = 10, rank=1, weight=3, effects=[Effect("boost", "crazy", 1)], base_description="Thug life comes with its share of bros and hoes. You're the bro that gets the hoe.")
        laborer = Population("laborers", "laborer.webp", 30, range = 20, rank=1, weight=2, base_description="Workers of the world, unite! Or, you know, get a girl for the night.")
        
        sailor = Population("sailors", "sailor.webp", 40, range = 20, rank=2, effects=[Effect("change", "waitress preference", 15), Effect("change", "anal preference", 15)], base_description="Sailors are famously randy when they come ashore. After a long voyage, seamen need some release.")
        commoner = Population("commoners", "commoner.webp", 50, range = 20, rank=2, effects=[Effect("change", "dancer preference", 15), Effect("change", "service preference", 15)], base_description="Common lives, common jobs, common wives... Seeing a commoner trying to escape all of this in a brothel is... common.")
        
        craftsman = Population("craftsmen", "craftsman.webp", 70, range = 30, rank=2, effects=[Effect("special", "horny", 1)], base_description="Craftsmen work with their hands, and when their hands get restless, they like to lay them on a pretty girl. Craftsmen are crafty.")
        
        bourgeois = Population("bourgeois", "bourgeois.webp", 90, range = 30, rank=3, effects=[Effect("change", "geisha preference", 15), Effect("change", "sex preference", 15)], base_description="When did 'down with the bourgeoisie' become 'get down with the bourgeoisie'? You sold out, man.")
        guildmember = Population("guild members", "guild member.webp", 110, range = 30, rank=3, effects=[Effect("change", "masseuse preference", 15), Effect("change", "fetish preference", 15)], base_description="Guild members are like craftsmen, but craftier.")
        
        patrician = Population("patricians", "patrician.webp", 120, range = 40, rank=3, effects=[Effect("special", "horny", 1)], base_description="Father figures to the community, ready to meet young girls with daddy issues.")
        
        aristocrat = Population("aristocrats", "aristocrat.webp", 140, rank=4, range = 40, effects=[Effect("boost", "crazy", 1.5)], base_description="Above the law. Entitled AF. Filthy rich. What's not to like?")
        noble = Population("nobles", "noble.webp", 170, range = 40, rank=4, effects=[Effect("change", "satisfaction", -1)], base_description="Nobles are easily bored. Living a life of privilege isn't all fun and games, it's also yawns.")
        
        royal = Population("royals", "royal.webp", 210, range = 50, rank=5, effects=[Effect("change", "satisfaction", -2)], base_description="People say royals are jaded, undeserving narcissistic parasites. No one gives them credit for how generous they are with their subjects' money. Sad.")
        
        all_populations = [beggar, thug, laborer, sailor, commoner, craftsman, bourgeois, guildmember, patrician, aristocrat, noble, royal]
                    
        # LOCATIONS # Locations should have been in a dictionary from the start, but it's messy. Sorry.
        
        spice_market = Location("Spice market", pic = "Spice market.jpg")
        sewers = Location("Sewers", pic = "Sewers.webp", menu = ("Visit the monster catcher", "visit_willow"), menu_costs_AP=False) # Monster merchant
        farmland = Location("Farm", pic = "farmland.jpg", menu = ("Visit the rancher", "visit_goldie"), menu_costs_AP=False) # Beast merchant
        watchtower = Location("Watchtower", pic = "Watchtower.jpg", menu = ("Visit the captain's vault", "visit_watchtower"))
        junkyard = Location("Junkyard", pic = "Junkyard.webp", menu = ("Visit the scientist", "visit_gina"), menu_costs_AP=False) # Machine merchant
        thieves_guild = Location("Thieves guild", pic = "Thieves guild.jpg", secret = True, menu = ("Visit the guild warehouse", "visit_thieves_guild"))
        
        harbor = Location("Harbor", pic = "Harbor.jpg", menu = ("Visit the headmaster", "visit_stella"), menu_costs_AP=False) # Stallion merchant
        shipyard = Location("Shipyard", pic = "Shipyard.jpg", menu = ("Collect wood", "collect_wood")) # Wood extraction
        taverns = Location("Taverns", pic = "Taverns.jpg")
        seafront = Location("Seafront", pic = "Seafront.jpg")
        beach = Location("Beach", pic = "Beach.jpg", menu = ("Brew dye", "collect_dye")) # Dye
        exotic_emporium = Location("Exotic emporium", pic = "Exotic emporium.jpg", menu = ("Visit gift shop", "visit_giftgirl"), menu_costs_AP=False) # Gift girl, gifts
        
        stables = Location("Stables", pic = "Stables.jpg", menu = ("Get leather", "collect_leather")) # Leather
        plaza = Location("Plaza", pic = "Plaza.jpg", menu = ("Visit weapon shop", "visit_ramias"), menu_costs_AP=False) # Ramias, weapons
        market = Location("Market", pic = "Market.jpg", menu = ("Visit the exchange", "visit_exchange"), action=True, menu_costs_AP=False) # Resource market
        gallows = Location("Gallows", pic = "Gallows.jpg")
        prison = Location("Prison", pic = "Prison.jpg", menu = ("Visit G's bazar", "visit_gurigura"), menu_costs_AP=False) # Gurigura, toys
        arena = Location("Arena", pic = "Arena.jpg")
        
        botanical_garden = Location("Botanical garden", pic = "Botanical garden.jpg", menu = ("Visit flower stall", "visit_riche"), menu_costs_AP=False) # Riche, flowers
        hanging_gardens = Location("Hanging gardens", pic = "Hanging gardens.jpg", menu = ("Weave silk", "collect_silk")) # Silk
        library = Location("Library", pic = "Library.jpg", menu = ("Visit trinket shop", "visit_katryn"), menu_costs_AP=False) # Katryn, trinkets
        guild_quarter = Location("Guild quarter", pic = "Guild quarter.jpg", menu = ("Smuggle ore", "collect_ore")) # Ore
        magic_guild = Location("Magic guild", pic = "Magic guild.jpg")
        magic_forest = Location("Magic forest", pic = "Magic forest.jpg")
        
        pilgrim_road = Location("Pilgrim road", pic = "Pilgrim road.jpg", menu = ("Visit tailor shop", "visit_twins"), menu_costs_AP=False) # Twins, dresses
        banking_quarter = Location("Banking quarter", pic = "Banking quarter.jpg", menu = ("Visit Bank", "visit_bank"), action=True, menu_costs_AP=False)
        old_ruins = Location("Old ruins", pic = "Ruins.webp", menu = ("Extract marble", "collect_marble")) # Marble
        lake = Location("Lakefront", pic = "Lake.jpg")
        training_ground = Location("Training ground", pic = "Training ground.jpg")
        cathedra = Location("Cathedra", pic = "Cathedra.jpg")
        
        battlements = Location("Battlements", pic = "Battlements.jpg")
        keep = Location("Keep", pic = "Keep.jpg")
        hall = Location("Hall", pic = "Hall.jpg")
        courtyard = Location("Courtyard", pic = "Courtyard.jpg")
        temple = Location("Temple", pic = "Temple.webp")
        falls = Location("Waterfalls", pic = "Falls.webp", menu = ("Look for diamonds", "collect_diamond")) # Diamonds
        
        location_dict = {# Districts
                        "The Slums" : [spice_market, sewers, farmland, watchtower, junkyard, thieves_guild],
                        "The Docks" : [harbor, shipyard, seafront, beach, taverns, exotic_emporium],
                        "The Warehouse" : [market, stables, plaza, gallows, prison, arena],
                        "The Magic Gardens" : [botanical_garden, library, magic_forest, hanging_gardens, guild_quarter, magic_guild],
                        "The Cathedra" : [pilgrim_road, banking_quarter, old_ruins, lake, training_ground, cathedra],
                        "The King's Hold" : [battlements, keep, hall, courtyard, temple, falls],

                        # Locations (for easy reference)
                        "Spice market" : spice_market,
                        "Sewers" : sewers,
                        "Farm" : farmland,
                        "Watchtower" : watchtower,
                        "Junkyard" : junkyard,
                        "Thieves guild" : thieves_guild,

                        "Harbor" : harbor,
                        "Shipyard" : shipyard,
                        "Seafront" : seafront,
                        "Beach" : beach,
                        "Taverns" : taverns,
                        "Exotic emporium" : exotic_emporium,

                        "Market" : market,
                        "Stables" : stables,
                        "Plaza" : plaza,
                        "Gallows" : gallows,
                        "Prison" : prison,
                        "Arena" : arena,

                        "Botanical garden" : botanical_garden,
                        "Library" : library,
                        "Magic forest" : magic_forest,
                        "Hanging gardens" : hanging_gardens,
                        "Guild quarter" : guild_quarter,
                        "Magic guild" : magic_guild,

                        "Pilgrim road": pilgrim_road,
                        "Banking quarter" : banking_quarter,
                        "Old ruins" : old_ruins,
                        "Lakefront" : lake,
                        "Training ground" : training_ground,
                        "Cathedra" : cathedra,

                        "Battlements" : battlements,
                        "Keep" : keep,
                        "Hall" : hall,
                        "Courtyard" : courtyard,
                        "Temple" : temple,
                        "Waterfalls" : falls,
                         }
        
        all_locations = location_dict["The Slums"] + location_dict["The Docks"] + location_dict["The Warehouse"] + location_dict["The Magic Gardens"] + location_dict["The Cathedra"] + location_dict["The King's Hold"]
        
        if debug_mode:
            harbor.action = True
            farmland.action = True
            sewers.action = True
            junkyard.action = True
            thieves_guild.secret = False
            thieves_guild.action = True
            
            shipyard.action = True
            stables.action = True
            beach.action = True
            old_ruins.action = True
            hanging_gardens.action = True
            guild_quarter.action = True
            falls.action = True
            
                
        
        # DISTRICT LIST #
    
        district_dict = {"slum" : District("The Slums", 1, 1, 15, ((beggar, 50), (thug, 30), (laborer, 20)), pic = "districts/slums.jpg", description = "The Slums are located on the outskirts of Zan, beyond the defensive wall. It is home to the Zani rabble: new arrivals, refugees, paupers, spice addicts... It is also rumored to host the hideout of the Thieves Guild, who worship the Shadow Goddess Shalia."),
                 "docks" : District("The Docks", 2, 2, 40, ((laborer, 10), (sailor, 40), (commoner, 30), (craftsman, 20)), room = ["tavern"], pic = "districts/docks.jpg", description = "The docks are home to rowdy sailors and dodgy pirates sheltering from the treacherous seas. With seamen all around, no wonder there is a thriving market for cheap whores near the port."),
                 "warehouse" : District("The Warehouse", 2, 2, 40, ((laborer, 10), (sailor, 20), (commoner, 40), (craftsman, 30)), ["club"], pic = "districts/warehouse.jpg", description = "The warehouse is the industrial part of Zan, where all kinds of craftsmen and day laborer come to look for work. Its streets are buzzing with trade and activities during the day, but dodgy at night."),
                 "gardens" : District("The Magic Gardens", 4, 3, 100, ((commoner, 5), (craftsman, 15), (bourgeois, 30), (guildmember, 30), (patrician, 20)), ["onsen"], pic = "districts/gardens.jpg", description = "The gardens are where the magic-wielding locals gather to soak up mana after a long night of dangerous experiments. It is said some of those experiments occasionally escape..."),
                 "cathedra" : District("The Cathedra", 4, 3, 100, ((commoner, 5), (craftsman, 10), (bourgeois, 20), (guildmember, 35), (patrician, 30)), ["okiya"], pic = "districts/cathedra.jpg", description = "The Cathedra is the holy center of the Arian order. Pilgrims, knights and priests rub elbows during prayers and rituals, while savvy merchants and bankers make a killing providing them with expensive service."),
                 "hold" : District("The King's Hold", 6, 4, 150, ((patrician, 20), (aristocrat, 50), (noble, 30)), "free", pic = "districts/final castle night.webp", description = "This is the center of power in Zan, where courtiers compete for power and the King's support. Behind the veneer of respectability and privilege, however, daggers are drawn... Beware.")
                }
        
        endless_district = District("The King's Hold", chapter=7, rank = 5, diff = 200, pop = ((royal, 100),), room = ["tavern", "club", "onsen", "okiya"], pic = "districts/final castle.webp", description = "This is the center of power in Zan, where courtiers compete for power and the King's support. Behind the veneer of respectability and privilege, however, daggers are drawn... Beware.")
        
        all_districts = []
        for d in ["slum", "warehouse", "docks", "gardens", "cathedra", "hold"]:
            all_districts.append(district_dict[d])
        
        # CREATE FIRST DISTRICT #
        
        district = district_dict["slum"]
        
#     #### ACTIVE EFFECTS DICTIONARY ####
    
#     active_effects_dict = defaultdict(list)
    
    #### SPELLS ####
            
        shield_effect = Effect("special", "shield", value = 1) #Individual shield, unused as of v0
        bshield_effect = Effect("special", "shield", value = 1, scope = "brothel")
        bshield_spell = Spell('Magic shield', 'shield.webp', type="shield", level=4, cost=2, effects=[bshield_effect], description="Protects your girls from external threats with a magic barrier. Stops the next act of agression against one of your girls before it happens. Lasts until the next attack.")
    
        spellbook = {
                    "Warrior" : [                
                            Spell('Heavy Lifting', 'strength.jpg', level=2, effects=[Effect("gain", "strength", 1)], description="Pumping and Pimping."),
                            Spell('The Defender', 'defender.webp', type="passive", level=3, effects=[Effect("special", "defender", 1)], description="It's like you can be everywhere at once."),
                            Spell('Discipline', 'discipline.webp', type="discipline", level=4, cost=1, effects=[Effect("change", "train obedience target", -10, scope="brothel"), Effect("change", "work obedience target", -10, scope="brothel")], duration="turn", description="The pain of discipline is nothing like the pain of disappointment."),
                            Spell('Samurai Spirit', 'spirit.webp', level=6, effects=[Effect("gain", "spirit", 1)], description="You must see it through your mind's Eye."),
                            Spell('Summon Bloodhound', 'hound.webp', type="summon", level=8, cost=2, effects=[Effect("change", "fight challenges", 6, dice=True)], duration="turn", description="Summons a ghastly bloodhound to help you with individual fights."),
                            Spell('Secret technique', 'strength.jpg', level=10, effects=[Effect("gain", "strength", 1)], description="I will find you, and I will kill you. Twice."),
                            Spell('Training Day', 'training.webp', type="training", level=12, cost=3, effects=[Effect("boost", "body gains", 0.05, scales_with="charisma", scope="brothel"), Effect("boost", "constitution gains", 0.05, scales_with="charisma", scope="brothel")], duration="turn", description="The more you sweat in training, the less you bleed in combat."),
                            Spell('Commanding Voice', 'charisma.jpg', level=14, effects=[Effect("gain", "charisma", 1)], description="From the battlefield to the whorehouse, you've never lost that edge."),
                            Spell('Summon Phoenix', 'phoenix.webp', type="summon", level=16, cost=4, effects=[Effect("boost", "energy when resting", 0.2, scope="brothel")], duration="turn", description="Summons a magical bird whose soothing songs help your girls relax. "),
                            Spell('Eye Of The Tiger', 'strength.jpg', level=18, effects=[Effect("gain", "strength", 1)], description="ADRIAAAAAN!!!"),
                            Spell('Summon Bear Spirit', 'bear.webp', type="summon", level=20, cost=5, effects=[Effect("change", "job customer capacity", 2, scope="brothel"), Effect("change", "whore customer capacity", 1, scope="brothel")], duration="turn", description="Summons a totemic beast that infuses your girls with supernatural power."),
                            Spell('Lightning Reflexes', 'speed.jpg', level=22, effects=[Effect("gain", "speed", 1)], description="Swift like a cobra."),
                            Spell('Brothel Militia', 'militia.webp', type="passive", level=24, effects=[Effect("boost", "defense", 2, scope="brothel")], description="Man the battlestations! Err… Should it be 'Woman the battlestations'?"),
                            ],    
                    "Trader" : [
                            Spell('Rogue', 'charisma.jpg', level=2, effects=[Effect("gain", "charisma", 1)], description="Everyday I'm hustling."),
                            Spell('The Haggler', 'haggler.jpg', type="passive", level=3, effects=[Effect("boost", "buy", -0.02, scales_with="charisma"), Effect("boost", "sell", 0.02, scales_with="charisma")], description="'That's it. I'm walking away now...' Better prices for girls and items."),
                            Spell('Sign Of Influence', 'sign1.webp', type="sign", level=4, cost=1, effects=[Effect("boost", "love gains", 0.1, scope="brothel"), Effect("boost", "fear gains", 0.1, scope="brothel")], duration="turn", description="Trust is earned. Unless you know magic."),
                            Spell('Street Fighter', 'strength.jpg', level=6, effects=[Effect("gain", "strength", 1)], description="The mean streets of Borgo have taught you all that there is to know about street fighting. Always stab from the back."),
                            Spell('Tall Tales', 'tale.webp', type="tales", level=8, cost=2, effects=[Effect("boost", "prestige", 0.1, scope="brothel")], duration="turn", description="Cool story bro."),
                            Spell('Adventurer', 'charisma.jpg', level=10, effects=[Effect("gain", "charisma", 1)], description="You don't always adventure far from your bed, but at least you look the part."),
                            Spell('Sign Of Confidence', 'sign2.webp', type="sign", level=12, cost=3, effects=[Effect("boost", "charm gains", 0.05, scales_with="charisma", scope="brothel"), Effect("boost", "libido gains", 0.05, scales_with="charisma", scope="brothel")], duration="turn", description="You're gorgeous, you don't need validation from anyone, but here, have this spell just in case."),
                            Spell('Worldly', 'spirit.webp', level=14, effects=[Effect("gain", "spirit", 1)], description="I've spent months living among the amazon tribes of the Lankan Rainforest. Wanna know how they do it?"),
                            Spell('Silver Tongue', 'girl.webp', type="city", level=16, cost=4, effects=[Effect("boost", "love gains", 0.3, scope="city")], duration="turn", description="You can grab 'em by the pussy, you can do anything."),
                            Spell('Smooth Criminal', 'charisma.jpg', level=18, effects=[Effect("gain", "charisma", 1)], description="You've been hit by, you've been struck by…"),
                            Spell('Sign Of Greed', 'sign3.webp', type="sign", level=20, cost=5, effects=[Effect("boost", "total upkeep", -0.2, scope="brothel")], duration="turn", description="Greed is good. At least my spellbook says so."),
                            Spell('Shadowrunner', 'speed.jpg', level=22, effects=[Effect("gain", "speed", 1)], description="You're fast. You've got the ship that made the Westmarch Run in less than twelve parsecs… Somewhere."),
                            Spell('Fame', 'fame.webp', type="passive", level=24, effects=[Effect("change", "customers", 1, scales_with="charisma", scope="brothel")], description="Fame, makes a man take things over!"),

                            ],    
                    "Wizard" : [
                            Spell('Inquisitive', 'spirit.webp', level=2, effects=[Effect("gain", "spirit", 1)], description="A beautiful mind. Pity about your face, though!"),
                            Spell('Minor Aura: Purity', 'aura1.webp', type="aura", level=2, cost=1, effects=[Effect("change", "beauty", 5, scope="brothel")], duration="turn", description="Looks aren't everything, but, hey, they sell. This aura makes your girls look nicer."),
                            Spell('Minor Aura: Provocation', 'aura4.webp', type="aura", level=2, cost=1, effects=[Effect("change", "body", 5, scope="brothel")], duration="turn", description="Shake your money-maker. Now with magic. This aura enhances your girl's body."),
                            Spell('Minor Aura: Mystery', 'aura2.webp', type="aura", level=2, cost=1, effects=[Effect("change", "charm", 5, scope="brothel")], duration="turn", description="The air of mystery around your girls keep the patrons coming back for more. This aura boosts your girls' charm."),
                            Spell('Minor Aura: Sophistication', 'aura3.webp', type="aura", level=2, cost=1, effects=[Effect("change", "refinement", 5, scope="brothel")], duration="turn", description="It takes a real magician to make uncough slaves look sophisticated. This aura makes your girls more refined."),
                            Spell('The Sorcerer', 'sorcerer.webp', type="passive", level=3, effects=[Effect("boost", "mana", 1)], description="It's raining mana! Hallelujah."),
                            Spell('Magic shield', 'shield.webp', type="shield", level=4, cost=2, effects=[bshield_effect], description="Protects your girls from external threats with a magic barrier. Stops the next act of agression against one of your girls before it happens. Lasts until the next attack."),
                            Spell('Minor Halo: Lust', 'halo1.webp', type="halo", level=5, cost=3, effects=[Effect("change", "libido", 5, scope="brothel")], duration="turn", description="It's getting hot in here… This halo boosts your girls' libido."),
                            Spell('Minor Halo: Servility', 'halo3.webp', type="halo", level=5, cost=3, effects=[Effect("change", "obedience", 5, scope="brothel")], duration="turn", description="On your knees, maggots! This makes your girls more obedient."),
                            Spell('Minor Halo: Sensuality', 'halo2.webp', type="halo", level=5, cost=3, effects=[Effect("change", "sensitivity", 5, scope="brothel")], duration="turn", description="Soft whispers echo into your girls' ears, making them shiver expectantly. Raises their sensitivity."),
                            Spell('Minor Halo: Endurance', 'halo4.webp', type="halo", level=5, cost=3, effects=[Effect("change", "constitution", 5, scope="brothel")], duration="turn", description="It's like solid energy is seeping through the brisk, fragrant air. Boosts your girl's constitution."),
                            Spell('Wise', 'charisma.jpg', level=6, effects=[Effect("gain", "charisma", 1)], description="This is payback for all those times they called you a 'Wise guy'."),
                            Spell('Magic servants', 'servants.webp', type="spell", level=7, cost=3, effects=[Effect("instant", "dirt", -50, scales_with="spirit")], duration="turn", description="In the fairy tales, they don't have the dancing dildo cabinet."),
                            Spell('Healing mist', 'heal.webp', type="mist", level=8, cost=4, effects=[Effect("instant", "heal", 1, 0.5, scope="brothel", scales_with="spirit")], duration="turn", description="Medic! This mist has a chance to heal your girls fully."),
                            Spell('Major Aura: Purity', 'aura1b.webp', type="aura", level=9, cost=5, effects=[Effect("change", "beauty", 2, scales_with="spirit", scope="brothel")], duration="turn", description="Looks aren't everything, but, hey, they sell. This aura makes your girls look a lot nicer."),
                            Spell('Major Aura: Provocation', 'aura4b.webp', type="aura", level=9, cost=5, effects=[Effect("change", "body", 2, scales_with="spirit", scope="brothel")], duration="turn", description="Shake your money-maker. Now with magic. This aura enhances your girl's body greatly."),
                            Spell('Major Aura: Mystery', 'aura2b.webp', type="aura", level=9, cost=5, effects=[Effect("change", "charm", 2, scales_with="spirit", scope="brothel")], duration="turn", description="The air of mystery around your girls keep the patrons coming back for more. This aura gives a major boost to your girls' charm."),
                            Spell('Major Aura: Sophistication', 'aura3b.webp', type="aura", level=9, cost=5, effects=[Effect("change", "refinement", 2, scales_with="spirit", scope="brothel")], duration="turn", description="It takes a real magician to make uncough slaves look sophisticated. This aura makes your girls a lot more refined."),
                            Spell('Creative', 'spirit.webp', level=10, effects=[Effect("gain", "spirit", 1)], description="Now, who would have thought of using a magic wand for that..."),
                            Spell('Enhanced senses', 'enhanced.webp', type="transe", level=11, cost=6, effects=[Effect("boost", "refinement gains", 0.05, scales_with="spirit", scope="brothel"), Effect("boost", "sensitivity gains", 0.05, scales_with="charisma", scope="brothel")], duration="turn", description="Now, did you know there is a 5th dimension? And a 6th, and a 7th, and a 13th?"),
                            Spell('Doll master', 'doll.webp', type="transe", level=11, cost=6, effects=[Effect("boost", "beauty gains", 0.05, scales_with="spirit", scope="brothel"), Effect("boost", "obedience gains", 0.05, scales_with="charisma", scope="brothel")], duration="turn", description="I saw people sticking a needle into a voodoo doll, but never {i}there{/i}…"),
                            Spell('Major Halo: Lust', 'halo1b.webp', type="halo", level=12, cost=8, effects=[Effect("change", "libido", 2, scales_with="spirit", scope="brothel")], duration="turn", description="It's getting hot in here… This halo gives a large boost to your girls' libido."),
                            Spell('Major Halo: Servility', 'halo3b.webp', type="halo", level=12, cost=8, effects=[Effect("change", "obedience", 2, scales_with="spirit", scope="brothel")], duration="turn", description="On your knees, maggots! This makes your girls a lot more obedient."),
                            Spell('Major Halo: Sensuality', 'halo2b.webp', type="halo", level=12, cost=8, effects=[Effect("change", "sensitivity", 2, scales_with="spirit", scope="brothel")], duration="turn", description="Soft whispers echo into your girls' ears, making them shiver expectantly. This raises their sensitivity a lot."),
                            Spell('Major Halo: Endurance', 'halo4b.webp', type="halo", level=12, cost=8, effects=[Effect("change", "constitution", 2, scales_with="spirit", scope="brothel")], duration="turn", description="It's like solid energy is seeping through the brisk, fragrant air. Major boost to your girl's constitution."),
                            Spell('Staff master', 'strength.jpg', level=14, effects=[Effect("gain", "strength", 1)], description="If all else fails, you can still crack their skulls with it."),
                            Spell('Rejuvenation', 'hand.webp', type="mist", level=16, cost=7, effects=[Effect("gain", "energy", 5, scope="brothel", scales_with="spirit")], duration="turn", description="This soothing mist rests your girls, in addition to smelling peachy."),
                            Spell('Mad', 'spirit.webp', level=18, effects=[Effect("gain", "spirit", 1)], description="Utter madness and devastating power. Always a great combination."),
                            Spell('Fairy dust', 'fairy.webp', type="form", level=20, cost=9, effects=[Effect("special", "fairy form", 1)], duration="turn", description="You assume the mysterious, ethereal form of the fairy people. Your spirit is used instead of your charisma."),
                            Spell('Dragon soul', 'dragon.webp', type="form", level=20, cost=9, effects=[Effect("special", "dragon form", 1)], duration="turn", description="You assume a terrifying dragon form. Your spirit is used instead of your strength."),
                            Spell('Enchanted Brothel', 'ghost.webp', type="enchant", level=22, cost=10, effects=[Effect("increase satisfaction", "all jobs", 1, scope="brothel"), Effect("increase satisfaction", "all sex acts", 1, scope="brothel")], duration="turn", description="That's a kind of magic… Not the one your childhood fairy tales were referring to."),
                            Spell('Swift', 'speed.jpg', level=22, effects=[Effect("gain", "speed", 1)], description="I've got magic in my pants. I mean, they make me run faster."),
                            Spell('The Eye', 'eye.webp', type="passive", level=24, effects=[Effect("change", "hypnosis result", 3), Effect("special", "snake eyes", 1)], description="Learnt that trick from a guy named Sauron. A nice fella, if a bit too obsessed about jewelry.\nHypnosis attempts will always succeed."),

                            ],
                    }

    
    
        
    #### GIRLS ####
    
        # TRAITS & PERKS #
    
        ## TRAITS ##
        
        gold_traits = [
                        Trait("Naughty", verb="be", eff1 = Effect("boost", "tip", 0.1), eff2 = Effect("personality", "pervert"), archetype="The Slut"),
                        Trait("Fascinating", verb="be", eff1 = Effect("change", "job customer capacity", 2), archetype="The Courtesan"),
                        Trait("Lust", verb="have", eff1=Effect("change", "whore customer capacity", 1), archetype="The Slut"),
                        Trait("Warrior", verb="be a", eff1=Effect("change", "defense", 3), eff2=Effect("personality", "rebel"), archetype="The Bride"),
                        Trait("Skilled tongue", verb="have a", eff1=Effect("increase satisfaction", "service", 1), eff2=Effect("increase satisfaction", "bisexual", 1), archetype="The Fox"),
                        Trait("Always wet", verb="be", eff1=Effect("increase satisfaction", "sex", 1), eff2=Effect("increase satisfaction", "group", 1), archetype="The Escort"),
                        Trait("Tight ass", verb="have a", eff1=Effect("increase satisfaction", "anal", 1), eff2=Effect("increase satisfaction", "fetish", 1), archetype="The Maid"),
                        Trait("Playful", verb="be", eff1=Effect("boost", "service preference increase", 0.1), eff2=Effect("boost", "bisexual preference increase", 0.1), archetype="The Player"),
                        Trait("Wild", verb="be", eff1=Effect("boost", "sex preference increase", 0.1), eff2=Effect("boost", "group preference increase", 0.1), archetype="The Slut"),
                        Trait("Dirty mind", verb="be", eff1=Effect("boost", "anal preference increase", 0.1), eff2=Effect("boost", "fetish preference increase", 0.1), archetype="The Fox"),
                        Trait("Magnetic", verb="be", eff1=Effect("boost", "income", 0.02), archetype="The Model"),
                        Trait("Loose", verb="be", eff1=Effect("change", "train obedience target", -25), archetype="The Player"),
                        Trait("Dedicated", verb="be", eff1=Effect("change", "work obedience target", -25), archetype="The Maid"),
                        Trait("Provocative", verb="be", eff1=Effect("boost", "dress", 0.5), eff2=Effect("gain", "positive fixation", "cosplay"), archetype="The Model"),
                        Trait("Fashionista", verb="be", eff1=Effect("boost", "accessory", 0.25), eff2=Effect("boost", "necklace", 0.25), eff3=Effect("boost", "ring", 0.25), archetype="The Fox"),
                        Trait("Perfectionist", verb="be a", eff1=Effect("increase satisfaction", "all jobs", 1), archetype="The Courtesan"),
                        Trait("Gifted", verb="be", eff1=Effect("increase satisfaction", "all sex acts", 1), archetype="The Bride"),
                        Trait("Fast learner", verb="be a", eff1=Effect("boost", "xp gains", 0.05), eff2=Effect("boost", "all jp gains", 0.05), archetype="The Escort"),
                        Trait("Caster", verb="be a", eff1=Effect("special", "rest shield"), archetype="The Bride"), #!
                        Trait("Driven", verb="be", eff1=Effect("boost", "max energy", 0.2), eff2=Effect("boost", "energy", 0.1), archetype="The Player"),
                        Trait("Country girl", verb="be a", eff1=Effect("special", "all farm weaknesses"), eff2=Effect("boost", "farm preference increase", 0.5), archetype="The Maid"),
                        Trait("Noble", verb="be a", eff1=Effect("boost", "prestige", 2), archetype="The Courtesan"),
                        Trait("Naturist", verb="be a", eff1=Effect("special", "naked", 1), archetype="The Model", base_description = "She has no shame showing her naked body to perfect strangers."),
                        Trait("Vicious", verb="be", effects=[Effect("change", "service", 5), Effect("change", "sex", 5), Effect("change", "anal", 5), Effect("change", "fetish", 5)], archetype="The Escort")
                        ]
        
        pos_traits = [
                      Trait("Cute", verb = "be", eff1 = Effect("change", "beauty", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Model"),
                      Trait("Long legs", verb = "have", eff1 = Effect("change", "beauty", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Player"),
                      Trait("Nice boobs", verb = "have", eff1 = Effect("change", "body", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Escort"),
                      Trait("Juicy ass", verb = "have a", eff1 = Effect("change", "body", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Slut"),
                      Trait("Sweet", verb = "be", eff1 = Effect("change", "charm", 5, scales_with = "rank"), eff2 = Effect("personality", "sweet"), archetype="The Bride"),
                      Trait("Exotic", verb = "be", eff1 = Effect("change", "charm", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Fox"),
                      Trait("Polite", verb = "be", eff1 = Effect("change", "refinement", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Courtesan"),
                      Trait("Feminine", verb = "be", eff1 = Effect("change", "refinement", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Model"),
                      Trait("Horny", verb = "be", eff1 = Effect("change", "libido", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Slut"),
                      Trait("Resilient", verb = "be", eff1 = Effect("change", "constitution", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Maid"),
                      Trait("Delicate", verb = "be", eff1 = Effect("change", "sensitivity", 5, scales_with = "rank"), eff2 = Effect("gain", "reputation", 5), archetype="The Bride"),
                      Trait("Meek", verb = "be", eff1 = Effect("change", "obedience", 5, scales_with = "rank"), eff2 = Effect("personality", "meek"), archetype="The Maid"),
                      
                      Trait("Pretty eyes", verb = "have", eff1 = Effect("change", "beauty", 10), eff2 = Effect("gain", "reputation", 5), archetype="The Model"),
                      Trait("Good tits", verb = "have", eff1 = Effect("change", "body", 10), eff2 = Effect("gain", "reputation", 5), archetype="The Slut"), 
                      Trait("Seductive", verb = "be", eff1 = Effect("change", "charm", 10), eff2 = Effect("gain", "reputation", 5), eff3 = Effect("personality", "superficial"), archetype="The Model"),
                      Trait("Graceful", verb = "be", eff1 = Effect("change", "refinement", 10), eff2 = Effect("gain", "reputation", 5), archetype="The Courtesan"),
                      
                      Trait("Beautiful", verb = "be", eff1 = Effect("boost", "beauty gains", 0.25), archetype="The Model"),
                      Trait("Fit", verb = "be", eff1 = Effect("boost", "body gains", 0.25), archetype="The Escort"),
                      Trait("Charming", verb = "be", eff1 = Effect("boost", "charm gains", 0.25), archetype="The Fox"),
                      Trait("Elegant", verb = "be", eff1 = Effect("boost", "refinement gains", 0.25), archetype="The Courtesan"),
                      Trait("Slutty", verb = "be", eff1 = Effect("boost", "libido gains", 0.25), archetype="The Slut"),
                      Trait("Athletic", verb = "be", eff1 = Effect("boost", "constitution gains", 0.25), archetype="The Player"),
                      Trait("Sensitive", verb = "be", eff1 = Effect("boost", "sensitivity gains", 0.25), archetype="The Bride"),
                      Trait("Obedient", verb = "be", eff1 = Effect("boost", "obedience gains", 0.25), archetype="The Maid"),
                      
                      Trait("Energetic", verb = "be", eff1 = Effect("boost", "max energy", 0.1), archetype="The Player"), ## This is a 10% increase
                      Trait("Tough", verb = "be", eff1 = Effect("boost", "hurt", -0.33), archetype="The Maid"),
                      Trait("Sexy", verb = "be", eff1 = Effect("boost", "reputation gains", 0.2), archetype="The Escort"),
                      Trait("Humble", verb = "be", eff1 = Effect("boost", "upkeep", -0.2), archetype="The Maid"),
                      
                      Trait("Virgin", verb = "be a", eff1 = Effect("special", "virgin", 1), eff2 = Effect("change", "sex act requirements", 10), archetype="The Bride", base_description = "This girl is a virgin."), # Special trait, goes away after 1st sex
                      Trait("Sharp", verb = "be", eff1 = Effect("boost", "xp gains", 0.1), eff2 = Effect("personality", "nerd"), archetype="The Fox"),
                      Trait("Loyal", verb = "be", eff1 = Effect("boost", "love", 0.1), archetype="The Bride"),
                      Trait("Brave", verb = "be", eff1 = Effect("boost", "fear", -0.1), archetype="The Escort"),
                      Trait("Strong", verb = "be", eff1 = Effect("change", "defense", 2), archetype="The Player"),
                      Trait("Lucky", verb = "be", eff1 = Effect("special", "lucky", 1), archetype="The Fox", base_description = "She's up all night..."), 
                      
                      Trait("Deft", verb = "be", eff1 = Effect("boost", "waitress jp gains", 0.1), eff2 = Effect("boost", "masseuse jp gains", 0.1), archetype="The Maid"),
                      Trait("Nimble", verb = "be", eff1 = Effect("boost", "dancer jp gains", 0.1), eff2 = Effect("boost", "geisha jp gains", 0.1), archetype="The Player"),
                      Trait("Soft skin", verb = "have", eff1 = Effect("boost", "geisha jp gains", 0.1), eff2 = Effect("boost", "masseuse jp gains", 0.1), archetype="The Courtesan"),
                      Trait("Bright", verb = "be", eff1 = Effect("boost", "waitress jp gains", 0.1), eff2 = Effect("boost", "geisha jp gains", 0.1), archetype="The Courtesan"),
                      Trait("Agile", verb = "be", eff1 = Effect("boost", "dancer jp gains", 0.1), eff2 = Effect("boost", "masseuse jp gains", 0.1), archetype="The Fox"),
                      Trait("Brisk", verb = "be", eff1 = Effect("boost", "waitress jp gains", 0.1), eff2 = Effect("boost", "dancer jp gains", 0.1), archetype="The Model"),
                      
                      Trait("Rowdy", verb = "be", effects = [Effect("boost", "waitress jp gains", 0.2), Effect("increase satisfaction", "waitress", 1), Effect("increase satisfaction", "geisha", -2)], opposite=['Modest', 'Unhurried'], archetype="The Slut"),
                      Trait("Powerful", verb = "be", effects = [Effect("boost", "dancer jp gains", 0.2), Effect("increase satisfaction", "dancer", 1), Effect("increase satisfaction", "masseuse", -2)], opposite=['Modest', 'Unhurried'], archetype="The Bride"),
                      Trait("Unhurried", verb = "be", effects = [Effect("boost", "masseuse jp gains", 0.2), Effect("increase satisfaction", "masseuse", 1), Effect("increase satisfaction", "waitress", -2)], opposite=['Powerful', 'Rowdy'], archetype="The Escort"),
                      Trait("Modest", verb = "be", effects = [Effect("boost", "geisha jp gains", 0.2), Effect("increase satisfaction", "geisha", 1), Effect("increase satisfaction", "dancer", -2), Effect("personality", "meek")], opposite=['Rowdy', 'Powerful'], archetype="The Fox"),
            
                      Trait("Sensual", verb = "be", eff1 = Effect("boost", "service jp gains", 0.1), eff2 = Effect("boost", "sex jp gains", 0.1), eff3 = Effect("personality", "pervert"), archetype="The Escort"),
                      Trait("Kinky", verb = "be", eff1 = Effect("boost", "anal jp gains", 0.1), eff2 = Effect("boost", "fetish jp gains", 0.1), eff3 = Effect("personality", "masochist"), archetype="The Player"),
                      Trait("Pervert", verb = "be a", eff1 = Effect("change", "sex act requirements", -10), eff2 = Effect("personality", "pervert"), archetype="The Slut"),
                      Trait("Thief", verb = "be a", eff1 = Effect("special", "pickpocket", 1), archetype="The Fox", base_description = "She may steal a little amount from the customers while seducing them. Reputation may suffer."),
                      ]
                      
        neg_traits = [
                      Trait("Plain", verb = "be", eff1 = Effect("change", "beauty", -10, scales_with = "rank"), opposite = "Cute"),
                      Trait("Scars", verb = "have", eff1 = Effect("change", "body", -10, scales_with = "rank"), opposite = "Nice boobs"),
                      Trait("Mean", verb = "be", eff1 = Effect("change", "charm", -10, scales_with = "rank"), opposite = "Sweet"),
                      Trait("Rude", verb = "be", eff1 = Effect("change", "refinement", -10, scales_with = "rank"), opposite = "Polite"),
                      Trait("Cold", verb = "be", eff1 = Effect("change", "libido", -10, scales_with = "rank"), eff2 = Effect("personality", "cold"), opposite = "Horny"),
                      Trait("Weak", verb = "be", eff1 = Effect("change", "constitution", -10, scales_with = "rank"), opposite = "Resilient"),
                      Trait("Rough", verb = "be", eff1 = Effect("change", "sensitivity", -10, scales_with = "rank"), opposite = "Delicate"),
                      Trait("Defiant", verb = "be", eff1 = Effect("change", "obedience", -10, scales_with = "rank"), opposite = "Meek"),
                      
                      Trait("Scruffy", verb = "be", eff1 = Effect("boost", "beauty gains", -0.5), opposite = "Beautiful"),
                      Trait("Plump", verb = "be", eff1 = Effect("boost", "body gains", -0.5), opposite = "Fit"),
                      Trait("Timid", verb = "be", eff1 = Effect("boost", "charm gains", -0.5), opposite = "charming"),
                      Trait("Vulgar", verb = "be", eff1 = Effect("boost", "refinement gains", -0.5), opposite = "Elegant"),
                      Trait("Tame", verb = "be", eff1 = Effect("boost", "libido gains", -0.5), opposite = "Slutty"),
                      Trait("Frail", verb = "be", eff1 = Effect("boost", "constitution gains", -0.5), opposite = "Athletic"),
                      Trait("Jaded", verb = "be", eff1 = Effect("boost", "sensitivity gains", -0.5), opposite = "Sensitive"),
                      Trait("Rebellious", verb = "be", eff1 = Effect("boost", "obedience gains", -0.5), eff2 = Effect("personality", "rebel"), opposite = "Obedient"),
                      
                      Trait("Lazy", verb = "be", eff1 = Effect("boost", "max energy", -0.15), opposite = ["Energetic", "Driven"]),
                      Trait("Sickly", verb = "be", eff1 = Effect("boost", "hurt", +2), opposite = "Tough"),
                      Trait("Homely", verb = "be", eff1 = Effect("boost", "reputation gains", -0.25), opposite = "Sexy"),
                      Trait("Expensive", verb = "be", eff1 = Effect("boost", "upkeep", 0.25), opposite = "Humble"),
                      
                      Trait("Slow", verb = "be", eff1 = Effect("boost", "xp gains", -0.25), opposite = ["Fast learner", "Sharp"]),
                      Trait("Distrustful", verb = "be", eff1 = Effect("boost", "love", -0.25), opposite = "Loyal"),
                      Trait("Fearful", verb = "be", eff1 = Effect("boost", "fear", 0.25), opposite = "Brave"),
                      Trait("Vulnerable", verb = "be", eff1 = Effect("change", "defense", -2), opposite = ["Strong", "Warrior"]),
                      Trait("Unlucky", verb = "be", eff1 = Effect("special", "unlucky", 1), base_description = "She shouldn't have broken that magic mirror... Increased chance of critical failure when working.", opposite = "Lucky"), 
                      
                      Trait("All thumbs", verb = "be", eff1 = Effect("boost", "waitress jp gains", -0.5), eff2 = Effect("increase satisfaction", "waitress", -1), opposite=['Deft', 'Bright', 'Brisk', 'Rowdy']),
                      Trait("Awkward", verb = "be", eff1 = Effect("boost", "dancer jp gains", -0.5), eff2 = Effect("increase satisfaction", "dancer", -1), opposite=['Nimble', 'Agile', 'Brisk', 'Powerful']),
                      Trait("Brutal", verb = "be", eff1 = Effect("boost", "masseuse jp gains", -0.5), eff2 = Effect("increase satisfaction", "masseuse", -1), opposite=['Deft', 'Soft skin', 'Agile', 'Unhurried']),
                      Trait("Dumb", verb = "be", eff1 = Effect("boost", "geisha jp gains", -0.5), eff2 = Effect("increase satisfaction", "geisha", -1), opposite=['Nimble', 'Soft skin', 'Bright', 'Modest']),
                      Trait("Oafish", verb = "be", eff1 = Effect("boost", "dancer jp gains", -0.5), eff2 = Effect("boost", "geisha jp gains", -0.5), opposite=['Nimble', 'Agile', 'Brisk', 'Soft skin', 'Bright']),
                      Trait("Clumsy", verb = "be", eff1 = Effect("boost", "waitress jp gains", -0.5), eff2 = Effect("boost", "masseuse jp gains", -0.5), opposite=['Deft', 'Bright', 'Brisk', 'Rowdy', 'Soft skin', 'Agile']),
                      
                      Trait("Prude", verb = "be", eff1 = Effect("boost", "service jp gains", -0.5), eff2 = Effect("boost", "sex jp gains", -0.5), opposite = "Naughty"),
                      Trait("Naive", verb = "be", eff1 = Effect("boost", "anal jp gains", -0.5), eff2 = Effect("boost", "fetish jp gains", -0.5), opposite = "Kinky"),
                      Trait("Square", verb = "be", eff1 = Effect("change", "sex act requirements", 25), opposite = "Pervert")
                      ]
        
        trait_dict = {}
        
        for trait in gold_traits + pos_traits + neg_traits:
            trait_dict[trait.name] = trait
        
        expensive_trait = trait_dict["Expensive"]
        clumsy_trait = trait_dict["Clumsy"]
        godless_trait = Trait("Godless", verb = "be", eff1 = Effect("boost", "reputation gains", -0.2))
        housebroken_trait = Trait("Housebroken", verb="be", effects = [Effect("change", "work obedience target", -10), Effect("change", "whore obedience target", -10)], base_description = "She lost her virginity in a brothel with a customer. This is all she knows.")
        t_pet_trait = Trait("Teacher's pet", verb="be a", effects = [Effect("change", "train obedience target", -20), Effect("boost", "love", 0.2)], base_description = "Her first time was with you. You're special to her.")
        trauma_trait = Trait("Trauma", verb="have a", effects = [Effect("change", "obedience", 15), Effect("change", "libido", -15), Effect("boost", "fear", 0.2)], base_description = "She lost her virginity against her will, and has to live with the trauma.")
        farmgirl_trait = Trait("Farmgirl", verb="be a", effects = [Effect("change", "obedience", 10), Effect("boost", "farm preference increase", 0.25)], base_description = "She has lost her virginity in the farm like a filthy animal.")
        
        # PERKS # Perks are stored with structure: name, effect ("special" is hardcoded ; first number is value, second is chance(default 100%)), prerequisite = None, maxlevel = 1, base_description = ""
        
        perk_dict = {
                     "Maid Training" : Perk(name="Maid Training", type="level", perk_level=0, archetype="The Maid", effects=[Effect("change", "obedience", 5), Effect("change", "maintenance", 1, scope="brothel")], pic = "maid0.jpg"),
                     "Loyalty" : Perk(name="Loyalty", type="level", perk_level=1, archetype="The Maid", effects=[Effect("change", "train obedience target", -10), Effect("change", "work obedience target", -10)], pic = "maid1_1.jpg"),
                     "Hardworking" : Perk(name="Hardworking", type="level", perk_level=1, archetype="The Maid", effects=[Effect("boost", "upkeep", -0.15), Effect("boost", "waitress jp gains", 0.15)], pic = "maid1_2.jpg"),
                     "Try Again" : Perk(name="Try Again", type="level", perk_level=2, archetype="The Maid", effects=[Effect("reroll", "job critical failure", 1), Effect("boost", "xp gains", 0.05)], pic = "maid2_1.jpg"),
                     "Survivor" : Perk(name="Survivor", type="level", perk_level=2, archetype="The Maid", effects=[Effect("boost", "fear", 0.5), Effect("resist", "hurt", 3, dice=True)], pic = "maid2_2.jpg"),
                     "Strive for Perfection" : Perk(name="Strive for Perfection", type="level", perk_level=3, archetype="The Maid", effects=[Effect("boost", "all skill gains", 0.25)], pic = "maid3.jpg"),
                     
                     "Bunny Girl" : Perk(name="Bunny Girl", type="level", perk_level=0, archetype="The Player", effects=[Effect("change", "body", 10), Effect("change", "advertising", 1, scope="brothel")], pic = "player0.jpg"),
                     "Party Girl" : Perk(name="Party Girl", type="level", perk_level=1, archetype="The Player", effects=[Effect("change", "job customer capacity", 2), Effect("boost", "customer penalties", -0.5)], pic = "player1_1.jpg"),
                     "Bimbo" : Perk(name="Bimbo", type="level", perk_level=1, archetype="The Player", effects=[Effect("boost", "reputation gains", 0.15), Effect("boost", "dancer jp gains", 0.15)], pic = "player1_2.jpg"),
                     "Autograph" : Perk(name="Autograph", type="level", perk_level=2, archetype="The Player", effects=[Effect("change", "tip", 1, scales_with="rep"), Effect("special", "job prestige", 1)], pic = "player2_1.jpg"),
                     "Exhibitionist" : Perk(name="Exhibitionist", type="level", perk_level=2, archetype="The Player", effects=[Effect("boost", "naked bonus", 0.25)], pic = "player2_2.jpg"),
                     "Star Power" : Perk(name="Star Power", type="level", perk_level=3, archetype="The Player", effects=[Effect("increase satisfaction", "all jobs", 1), Effect("increase satisfaction", "all sex acts", 1)], pic = "player3.jpg"),
                     
                     "Modeling 101" : Perk(name="Modeling 101", type="level", perk_level=0, archetype="The Model", effects=[Effect("change", "beauty", 10), Effect("boost", "quest results", 0.2)], pic = "model0.jpg"),
#                     "Rules of Attraction" : Perk(name="Rules of Attraction", type="level", perk_level=1, archetype="The Model", effects=[Effect("special", "BBCR bonus", 1, chance=0.25)], pic = "model1_1.jpg"), # Shelving stat bonuses for now
                     "Rules of Attraction" : Perk(name="Rules of Attraction", type="level", perk_level=1, archetype="The Model", effects=[Effect("change", "customers", 2, dice=True, scope="brothel", scales_with="rank")], pic = "model1_1.jpg"),
                     "Overachiever" : Perk(name="Overachiever", type="level", perk_level=1, archetype="The Model", effects=[Effect("change", "all skill max", 10), Effect("boost", "masseuse jp gains", 0.15)], pic = "model1_2.jpg"),
                     "Eye Contact" : Perk(name="Eye Contact", type="level", perk_level=2, archetype="The Model", effects=[Effect("special", "lucky")], pic = "model2_1.jpg"),
                     "Life of Luxury" : Perk(name="Life of Luxury", type="level", perk_level=2, archetype="The Model", effects=[Effect("special", "luxury"), Effect("change", "mood", 0.5, scales_with="equipped")], pic = "model2_2.jpg"),
                     "Beauty Queen" : Perk(name="Beauty Queen", type="level", perk_level=3, archetype="The Model", effects=[Effect("change", "all main skills", 15)], pic = "model3.jpg"),
                     
                     "Court relations" : Perk(name="Court relations", type="level", perk_level=0, archetype="The Courtesan", effects=[Effect("change", "refinement", 10), Effect("increase satisfaction", "bisexual", 1)], pic = "courtesan0.jpg"),
                     "Warm welcome" : Perk(name="Warm welcome", type="level", perk_level=1, archetype="The Courtesan", effects=[Effect("change", "first customer satisfaction", 1), Effect("boost", "half-shift resting bonus", 0.5)], pic = "courtesan1_1.jpg"),
                     "Refined taste" : Perk(name="Refined taste", type="level", perk_level=1, archetype="The Courtesan", effects=[Effect("change", "positive upkeep mood modifier", 1), Effect("boost", "geisha jp gains", 0.15)], pic = "courtesan1_2.jpg"),
                     "Five Stars" : Perk(name="Five Stars", type="level", perk_level=2, archetype="The Courtesan", effects=[Effect("change", "tip", 25, scales_with="customer satisfaction")], pic = "courtesan2_1.jpg"),
                     "Heavenly Pleasures" : Perk(name="Heavenly Pleasures", type="level", perk_level=2, archetype="The Courtesan", effects=[Effect("boost", "perfect result tip", 0.1), Effect("boost", "perfect result xp", 0.1), Effect("boost", "perfect result jp", 0.1)], pic = "courtesan2_2.jpg"),
                     "Royal Treatment" : Perk(name="Royal Treatment", type="level", perk_level=3, archetype="The Courtesan", effects=[Effect("boost", "first customer tip", 1.5), Effect("boost", "first customer rep", 2.5)], pic = "courtesan3.jpg"),
                     
                     "Available" : Perk(name="Available", type="level", perk_level=0, archetype="The Escort", effects=[Effect("change", "constitution", 5), Effect("increase satisfaction", "group", 1)], pic = "escort0.jpg"),
#                     "Extras" : Perk(name="Extras", type="level", perk_level=1, archetype="The Escort", effects=[Effect("special", "LOCS bonus", 1, chance=0.25)], pic = "escort1_1.jpg"), # Shelving stat bonuses for now
                     "Convincing" : Perk(name="Convincing", type="level", perk_level=1, archetype="The Escort", effects=[Effect("special", "temptress", 0.66)], pic = "slut2_2.jpg"),
                     "On Call" : Perk(name="On Call", type="level", perk_level=1, archetype="The Escort", effects=[Effect("change", "whore obedience target", -10)], pic = "escort2_1.jpg"),
                     "Focus" : Perk(name="Focus", type="level", perk_level=2, archetype="The Escort", effects=[Effect("special", "focus", 1)], pic = "escort1_1.jpg"),
                     "Loves Sex" : Perk(name="Loves Sex", type="level", perk_level=2, archetype="The Escort", effects=[Effect("change", "all sex skills", 10)], pic = "slut2_1.jpg"),
                     "Business and Pleasure" : Perk(name="Business and Pleasure", type="level", perk_level=3, archetype="The Escort", effects=[Effect("boost", "tip", 0.05, scales_with="job cust nb"), Effect("boost", "tip", 0.1, scales_with="whore cust nb"), Effect("change", "mood", 0.5, scales_with="cust nb")], pic = "escort3.jpg"),
                     
                     "Foxy Lady" : Perk(name="Foxy Lady", type="level", perk_level=0, archetype="The Fox", effects=[Effect("change", "charm", 10), Effect("boost", "class results", 0.2)], pic = "fox0.jpg"),
                     "Something New" : Perk(name="Something New", type="level", perk_level=1, archetype="The Fox", effects=[Effect("boost", "xp gains", 1.0, chance=0.1), Effect("boost", "all jp gains", 1.0, chance=0.1)], pic = "fox1_1.jpg"),
                     "Lost and Found" : Perk(name="Lost and Found", type="level", perk_level=1, archetype="The Fox", effects=[Effect("special", "random item", 1, chance=0.025)], pic = "fox1_2.jpg", base_description = "'I'm sure he won't miss it.'"),
                     "Secret Admirers" : Perk(name="Secret Admirers", type="level", perk_level=2, archetype="The Fox", effects=[Effect("boost", "tip", 1, chance=0.2)], pic = "fox2_1.jpg"),
                     "Tempting Fate" : Perk(name="Tempting Fate", type="level", perk_level=2, archetype="The Fox", effects=[Effect("special", "effect chance", 1)], pic = "fox2_2.jpg"),
                     "Stars Are Aligned" : Perk(name="Stars Are Aligned", type="level", perk_level=3, archetype="The Fox", effects=[Effect("boost", "income", 1, chance=0.02, scope="brothel")], pic = "fox3.jpg"),
                     
                     "Teaser" : Perk(name="Teaser", type="level", perk_level=0, archetype="The Slut", effects=[Effect("change", "libido", 5), Effect("gain", "positive fixation", 1)], pic = "slut0.jpg"),
                     "Open mind" : Perk(name="Open mind", type="level", perk_level=1, archetype="The Slut", effects=[Effect("gain", "all sexual preferences", 250)], pic = "slut1_1.jpg"),
                     "Bedroom Eyes" : Perk(name="Bedroom Eyes", type="level", perk_level=1, archetype="The Slut", effects=[Effect("boost", "service jp bonus", 0.25), Effect("boost", "sex jp bonus", 0.25), Effect("boost", "anal jp bonus", 0.25), Effect("boost", "fetish jp bonus", 0.25)], pic = "slut1_2.jpg"),
                     "Next" : Perk(name="Next", type="level", perk_level=2, archetype="The Slut", effects=[Effect("change", "whore customer capacity", 1)], pic = "escort1_2.jpg"),
                     "Work and Whore" : Perk(name="Work and Whore", type="level", perk_level=2, archetype="The Slut", effects=[Effect("special", "workwhore", 1)], pic = "slut3.jpg"),
                     "Me So Horny" : Perk(name="Me So Horny", type="level", perk_level=3, archetype="The Slut", effects=[Effect("boost", "tiredness", -0.2)], pic = "escort2_2.jpg"),
                     
                     "Enter The Bride" : Perk(name="Enter The Bride", type="level", perk_level=0, archetype="The Bride", effects=[Effect("change", "sensitivity", 5), Effect("change", "security", 1, scope = "brothel")], pic = "bride0.jpg"),
                     "Helping Hand" : Perk(name="Helping Hand", type="level", perk_level=1, archetype="The Bride", effects=[Effect("change", "making friends", 1), Effect("boost", "mood gains from friendship", 0.5)], pic = "bride1_1.jpg"),
                     "Confession" : Perk(name="Confession", type="level", perk_level=1, archetype="The Bride", effects=[Effect("spillover", "xp", 0.2), Effect("spillover", "jp", 0.2)], pic = "bride1_2.jpg"),
                     "Leading by Example" : Perk(name="Leading by Example", type="level", perk_level=2, archetype="The Bride", effects=[Effect("special", "skill catch up", 1)], pic = "bride2_1.jpg"),
                     "The Healer" : Perk(name="The Healer", type="level", perk_level=2, archetype="The Bride", effects=[Effect("boost", "love", 0.5), Effect("change", "heal", 1, chance=0.33, scope="brothel")], pic = "bride2_2.jpg"),
                     "The Virgin Whore" : Perk(name="The Virgin Whore", type="level", perk_level=3, archetype="The Bride", effects=[Effect("boost", "virgin tip", 1), Effect("boost", "virgin rep", 1)], pic = "bride3.jpg"),
                     }
        
        archetype_dict = {"The Maid" : PerkArchetype("The Maid", "the maid.jpg"), 
                          "The Player" : PerkArchetype("The Player", "the player.jpg"),
                          "The Model" : PerkArchetype("The Model", "the model.jpg"),
                          "The Courtesan" : PerkArchetype("The Courtesan", "the courtesan.jpg"),
                          
                          "The Escort" : PerkArchetype("The Escort", "the escort.jpg"),
                          "The Fox" : PerkArchetype("The Fox", "the fox.jpg"),
                          "The Slut" : PerkArchetype("The Slut", "the slut.jpg"),
                          "The Bride" : PerkArchetype("The Bride", "the bride.jpg"),}

        naked_perk = Perk("Naturist", type="sex", effects = [Effect("special", "naked", 1)])
        pony_perk = Perk("Ponygirl", type="sex", effects = [Effect("special", "ponygirl", 1.0)])
        bis_perk = Perk("Bisexual", type="sex", effects = [Effect("special", "bisexual", 1.0, 0.2)]) #! CHECK
        group_perk = Perk("Group", type="sex", effects = [Effect("special", "group", 1.0, 0.2)])
        orgy_perk = Perk("Orgy", type="sex", effects = [Effect("special", "orgy", 1.0, 0.5)])
                
        
        # SEX ACTS #

        anal = Sexact(0.2, 1.25)
        sex = Sexact(0.5, 1.0)
        service = Sexact(0.4, 1.0)
        fetish = Sexact(0.1, 1.5) 
            
        
        # CREATE SLAVEMARKET #
        
        slavemarket = NPC()
        
        
        
    #### ITEMS ####
        
        blueprint_item = Item(name = 'Ancient blueprint', target = 'MC', type = IT_Story, pic = 'scanner blueprint.webp', template = False, rank = 1, rarity = "S", price = 0, effects = [], description = "An ancient blueprint written on a light yet strong paper-like material. The instructions are foreign and indecipherable, but a skilled craftsman could perhaps make sense of it.", hidden_effect = True)
        
        vitals_scanner = Furniture('Strange machine', type='Gizmos', pic='scanner.webp', rank=2, chapter=2, cost=[('wood', 20), ('dye', 20), ('leather', 20)], duration=4, effects=[Effect("special", "autorest", 1, scope="brothel")], base_description="This mysterious machine glows with pulsating magical energy.") #  It scans your girls automatically to make sure they are fit to work.
        
        bast_letter = Item("Bast's love letter", "MC", type=IT_Story, pic="Scroll of etiquette.webp", template = False, rank = 1, rarity = "S", price = 0, effects = [], description = "A love letter written by Bast to her former paramour. Contains incriminating information.", hidden_effect = True)
        
        # REGULAR ITEMS # 
                
        # Type, restricted, rank_range, name, pic, effects, use, nb uses, duration, quality, description, cost, rarity, stackable

        all_items = [
                    Item(name = 'Short sword', target = 'MC', type = IT_Weapon, pic = 'Short sword.webp', rank = 1, rarity = 1, price = 250, effects = (Effect('change', 'strength', 1), ), description =  ""),
                    Item(name = 'Cutlass', target = 'MC', type = IT_Weapon, pic = 'Cutlass.webp', rank = 1, rarity = 2, price = 500, effects = (Effect('change', 'strength', 2), ), description =  "It's not a knife. That's a knife."),
                    Item(name = 'Axe', target = 'MC', type = IT_Weapon, pic = 'Axe.webp', rank = 2, rarity = 2, price = 1000, effects = (Effect('change', 'strength', 2), Effect('change', 'spirit', 1), ), description =  ""),
                    Item(name = 'Lance', target = 'MC', type = IT_Weapon, pic = 'Lance.webp', rank = 2, rarity = 2, price = 2500, effects = (Effect('change', 'strength', 3), Effect('change', 'charisma', 1), ), description =  ""),
                    Item(name = 'Long sword', target = 'MC', type = IT_Weapon, pic = 'Long sword.webp', rank = 2, rarity = 3, price = 3500, effects = (Effect('change', 'strength', 3), Effect('change', 'charisma', 1), Effect('change', 'spirit', 1), ), description =  ""),
                    Item(name = 'Rapier', target = 'MC', type = IT_Weapon, pic = 'Rapier.webp', rank = 3, rarity = 3, price = 5000, effects = (Effect('change', 'strength', 4), Effect('change', 'charisma', 2), ), description =  ""),
                    Item(name = 'Battle axe', target = 'MC', type = IT_Weapon, pic = 'Battle axe.webp', rank = 3, rarity = 3, price = 10000, effects = (Effect('change', 'strength', 5), Effect('change', 'spirit', 2), ), description =  ""),
                    Item(name = 'Warhammer', target = 'MC', type = IT_Weapon, pic = 'Warhammer.webp', rank = 3, rarity = 4, price = 17500, effects = (Effect('change', 'strength', 5), Effect('change', 'charisma', 2), Effect('change', 'spirit', 1), ), description =  ""),
                    Item(name = 'Holy sword', target = 'MC', type = IT_Weapon, pic = 'Holy sword.webp', rank = 4, rarity = "U", price = 40000, effects = (Effect('change', 'strength', 6), Effect('change', 'spirit', 3), ), description =  "This sword hums with power. The light reflects so brightly on its blade it could blind the angels themselves."),
                    Item(name = 'Demon sword', target = 'MC', type = IT_Weapon, pic = 'Demon sword.webp', rank = 4, rarity = "S", price = 100000, effects = (Effect('change', 'strength', 8), Effect('change', 'charisma', 4), Effect('change', 'spirit', -2), ), description =  "The blade pulses with the dark fury of the demon trapped inside. They say he devours every poor soul that gets slain by this blade."),
                    Item(name = 'Broom staff', target = 'MC', type = IT_Weapon, pic = 'Broom staff.webp', rank = 1, rarity = 1, price = 250, effects = (Effect('change', 'spirit', 1), ), description =  ""),
                    Item(name = 'Wooden staff', target = 'MC', type = IT_Weapon, pic = 'Wooden staff.webp', rank = 1, rarity = 2, price = 500, effects = (Effect('change', 'spirit', 2), ), description =  ""),
                    Item(name = 'Goblin staff', target = 'MC', type = IT_Weapon, pic = 'Goblin staff.webp', rank = 2, rarity = 2, price = 1000, effects = (Effect('change', 'charisma', 1), Effect('change', 'spirit', 2), ), description =  ""),
                    Item(name = 'Bronze staff', target = 'MC', type = IT_Weapon, pic = 'Bronze staff.webp', rank = 2, rarity = 2, price = 2500, effects = (Effect('change', 'strength', 1), Effect('change', 'spirit', 3), ), description =  ""),
                    Item(name = 'Wind staff', target = 'MC', type = IT_Weapon, pic = 'Wind staff.webp', rank = 2, rarity = 3, price = 3500, effects = (Effect('change', 'strength', 1), Effect('change', 'charisma', 1), Effect('change', 'spirit', 3), ), description =  ""),
                    Item(name = 'Healing staff', target = 'MC', type = IT_Weapon, pic = 'Healing staff.webp', rank = 3, rarity = 3, price = 5000, effects = (Effect('change', 'charisma', 2), Effect('change', 'spirit', 4), ), description =  ""),
                    Item(name = 'Thunder staff', target = 'MC', type = IT_Weapon, pic = 'Thunder staff.webp', rank = 3, rarity = 3, price = 10000, effects = (Effect('change', 'strength', 2), Effect('change', 'spirit', 5), ), description =  ""),
                    Item(name = 'Emerald staff', target = 'MC', type = IT_Weapon, pic = 'Emerald staff.webp', rank = 3, rarity = 4, price = 17500, effects = (Effect('change', 'strength', 1), Effect('change', 'charisma', 2), Effect('change', 'spirit', 5), ), description =  ""),
                    Item(name = 'Crystal staff', target = 'MC', type = IT_Weapon, pic = 'Crystal staff.webp', rank = 4, rarity = 4, price = 40000, effects = (Effect('change', 'strength', 3), Effect('change', 'spirit', 6), ), description =  ""),
                    Item(name = 'Angel staff', target = 'MC', type = IT_Weapon, pic = 'Angel staff.webp', rank = 4, rarity = 5, price = 100000, effects = (Effect('change', 'charisma', 2), Effect('change', 'spirit', 8), ), description =  ""),
                    Item(name = 'Throwing knife', target = 'MC', type = IT_Weapon, pic = 'Throwing knife.webp', rank = 1, rarity = 1, price = 250, effects = (Effect('change', 'charisma', 1), ), description =  ""),
                    Item(name = 'Throwing axe', target = 'MC', type = IT_Weapon, pic = 'Throwing axe.webp', rank = 1, rarity = 2, price = 500, effects = (Effect('change', 'charisma', 2), ), description =  ""),
                    Item(name = 'Bow', target = 'MC', type = IT_Weapon, pic = 'Bow.webp', rank = 2, rarity = 2, price = 1000, effects = (Effect('change', 'strength', 1), Effect('change', 'charisma', 2), ), description =  ""),
                    Item(name = 'Ornate bow', target = 'MC', type = IT_Weapon, pic = 'Ornate bow.webp', rank = 2, rarity = 2, price = 2500, effects = (Effect('change', 'charisma', 3), Effect('change', 'spirit', 1), ), description =  ""),
                    Item(name = 'Flintlock', target = 'MC', type = IT_Weapon, pic = 'Flintlock.webp', rank = 2, rarity = 3, price = 3500, effects = (Effect('change', 'strength', 2), Effect('change', 'charisma', 3), ), description =  ""),
                    Item(name = 'Crossbow', target = 'MC', type = IT_Weapon, pic = 'Crossbow.webp', rank = 3, rarity = 3, price = 5000, effects = (Effect('change', 'strength', 1), Effect('change', 'charisma', 4), Effect('change', 'spirit', 1), ), description =  ""),
                    Item(name = 'Repeater', target = 'MC', type = IT_Weapon, pic = 'Repeater.webp', rank = 3, rarity = 3, price = 10000, effects = (Effect('change', 'strength', 2), Effect('change', 'charisma', 5), ), description =  ""),
                    Item(name = 'Blunderbuss', target = 'MC', type = IT_Weapon, pic = 'Blunderbuss.webp', rank = 3, rarity = 4, price = 17500, effects = (Effect('change', 'strength', 3), Effect('change', 'charisma', 5), ), description = "This. Is. My boomstick!"),
                    Item(name = 'Holy handgrenade', target = 'MC', type = IT_Weapon, pic = 'Holy handgrenade.webp', rank = 4, rarity = 4, price = 40000, effects = (Effect('change', 'charisma', 6), Effect('change', 'spirit', 3), ), description =  ""),
                    Item(name = 'Death dispenser', target = 'MC', type = IT_Weapon, pic = 'Death dispenser.webp', rank = 4, rarity = 5, price = 100000, effects = (Effect('change', 'strength', 4), Effect('change', 'charisma', 8), Effect('change', 'spirit', -2), ), description =  ""),
                    Item(name = 'Arios amulet', target = 'MC', type = IT_Necklace, pic = 'Arios amulet.webp', rank = 1, rarity = "U", price = 25000, effects = (), description = "Unique reward for completing the Arios knight quest."),
                    Item(name = 'Shalia talisman', target = 'MC', type = IT_Necklace, pic = 'Shalia talisman.webp', rank = 1, rarity = "U", price = 25000, effects = (), description = "Unique reward for completing the Shalia shadow quest."),
                    Item(name = 'Merchant sigil', target = 'MC', type = IT_Necklace, pic = 'Merchant sigil.webp', rank = 1, rarity = "U", price = 25000, effects = (), description = "Unique reward for completing the guild of merchants quest."),
                    Item(name = 'Fur boots', target = 'MC', type = IT_Accessory, pic = 'Fur boots.webp', rank = 1, rarity = 1, price = 500, effects = (Effect('change', 'speed', 1), ), ),
                    Item(name = 'Leather boots', target = 'MC', type = IT_Accessory, pic = 'Leather boots.webp', rank = 1, rarity = 2, price = 2000, effects = (Effect('change', 'speed', 2), ), ),
                    Item(name = 'Elven boots', target = 'MC', type = IT_Accessory, pic = 'Elven boots.webp', rank = 2, rarity = 3, price = 10000, effects = (Effect('change', 'speed', 3), ), ),
                    Item(name = 'Horse', target = 'MC', type = IT_Accessory, pic = 'Horse.webp', rank = 3, rarity = 4, price = 50000, effects = (Effect('change', 'speed', 4), ), ),
                    Item(name = 'Dark horse', target = 'MC', type = IT_Accessory, pic = 'Dark horse.webp', rank = 4, rarity = 5, price = 150000, effects = (Effect('change', 'speed', 5), ), ),
                    Item(name = 'Dragon egg', target = 'MC', type = IT_Misc, pic = 'Dragon egg.webp', rank = 1, rarity = "S", charges = 1, price = 5000, effects = (Effect('gain', 'skill points', 1), ), description =  "'He was no dragon...'\nEat this at your own risk!", sound = "crunch.ogg", hidden_effect = True),
                    Item(name = 'Knuckle duster', target = 'girl', type = IT_Weapon, pic = 'Knuckle duster.webp', rank = 1, rarity = 1, price = 50, effects = (Effect('change', 'defense', 1), ), ),
                    Item(name = 'Hook', target = 'girl', type = IT_Weapon, pic = 'Hook.webp', rank = 1, rarity = 1, price = 250, effects = (Effect('change', 'defense', 2), ), ),
                    Item(name = 'Shiv', target = 'girl', type = IT_Weapon, pic = 'Shiv.webp', rank = 1, rarity = 2, price = 500, effects = (Effect('change', 'defense', 3), ), ),
                    Item(name = 'Knife', target = 'girl', type = IT_Weapon, pic = 'Knife.webp', rank = 2, rarity = 2, price = 1000, effects = (Effect('change', 'defense', 4), ), ),
                    Item(name = 'Dagger', target = 'girl', type = IT_Weapon, pic = 'Dagger.webp', rank = 2, rarity = 2, price = 1750, effects = (Effect('change', 'defense', 5), ), ),
                    Item(name = 'Sacrificial knife', target = 'girl', type = IT_Weapon, pic = 'Sacrificial knife.webp', rank = 2, rarity = 3, price = 2750, effects = (Effect('change', 'defense', 6), ), ),
                    Item(name = 'Mace', target = 'girl', type = IT_Weapon, pic = 'Mace.webp', rank = 3, rarity = 3, price = 5000, effects = (Effect('change', 'defense', 7), ), ),
                    Item(name = 'Whip', target = 'girl', type = IT_Weapon, pic = 'Whip.webp', rank = 3, rarity = 4, price = 10000, effects = (Effect('change', 'defense', 8), ), ),
                    Item(name = 'Steel whip', target = 'girl', type = IT_Weapon, pic = 'Steel whip.webp', rank = 4, rarity = 4, price = 25000, effects = (Effect('change', 'defense', 9), ), ),
                    Item(name = 'Magic blade', target = 'girl', type = IT_Weapon, pic = 'Magic blade.webp', rank = 4, rarity = 5, price = 60000, effects = (Effect('change', 'defense', 10), ), ),
                    Item(name = 'Dildo', target = 'girl', type = IT_Toy, pic = 'Dildo.webp', rank = 1, rarity = 2, charges = 8, price = 125, effects = (Effect('gain', 'sex', 1, 0.5), ), description = "Chance to improve Sex when resting (limited uses)."),
                    Item(name = 'XL dildo', target = 'girl', type = IT_Toy, pic = 'XL dildo.webp', rank = 2, rarity = 3, charges = 8, price = 500, effects = (Effect('gain', 'sex', 2, 0.5), ), description = "Chance to improve Sex when resting (limited uses)."),
                    Item(name = 'XXL dildo', target = 'girl', type = IT_Toy, pic = 'XXL dildo.webp', rank = 3, rarity = 4, charges = 8, price = 2500, effects = (Effect('gain', 'sex', 3, 0.5), ), description = "Chance to improve Sex when resting (limited uses)."),
                    Item(name = 'Black dildo', target = 'girl', type = IT_Toy, pic = 'Black dildo.webp', rank = 4, rarity = 5, charges = 8, price = 10000, effects = (Effect('gain', 'sex', 5, 0.5), ), description = "Chance to improve Sex when resting (limited uses)."),
                    Item(name = 'Butt plug', target = 'girl', type = IT_Toy, pic = 'Butt plug.webp', rank = 1, rarity = 2, charges = 8, price = 125, effects = (Effect('gain', 'anal', 1, 0.5), ), description = "Chance to improve Anal when resting (limited uses)."),
                    Item(name = 'Butt pump', target = 'girl', type = IT_Toy, pic = 'Butt pump.webp', rank = 2, rarity = 3, charges = 8, price = 500, effects = (Effect('gain', 'anal', 2, 0.5), ), description = "Chance to improve Anal when resting (limited uses)."),
                    Item(name = 'Anal dildo', target = 'girl', type = IT_Toy, pic = 'Anal dildo.webp', rank = 3, rarity = 4, charges = 8, price = 2500, effects = (Effect('gain', 'anal', 3, 0.5), ), description = "Chance to improve Anal when resting (limited uses)."),
                    Item(name = 'Anal beads', target = 'girl', type = IT_Toy, pic = 'Anal beads.webp', rank = 4, rarity = 5, charges = 8, price = 10000, effects = (Effect('gain', 'anal', 5, 0.5), ), description = "Chance to improve Anal when resting (limited uses)."),
                    Item(name = 'Ropes', target = 'girl', type = IT_Toy, pic = 'Ropes.webp', rank = 1, rarity = 2, charges = 8, price = 125, effects = (Effect('gain', 'fetish', 1, 0.5), ), description = "Chance to improve Fetish when resting (limited uses)."),
                    Item(name = 'Cuffs', target = 'girl', type = IT_Toy, pic = 'Cuffs.webp', rank = 2, rarity = 3, charges = 8, price = 500, effects = (Effect('gain', 'fetish', 2, 0.5), ), description = "Chance to improve Fetish when resting (limited uses)."),
                    Item(name = 'Gag', target = 'girl', type = IT_Toy, pic = 'Gag.webp', rank = 3, rarity = 4, charges = 8, price = 2500, effects = (Effect('gain', 'fetish', 3, 0.5), ), description = "Chance to improve Fetish when resting (limited uses)."),
                    Item(name = 'Blindfold', target = 'girl', type = IT_Toy, pic = 'Blindfold.webp', rank = 4, rarity = 5, charges = 8, price = 10000, effects = (Effect('gain', 'fetish', 5, 0.5), ), description = "Chance to improve Fetish when resting (limited uses)."),
                    Item(name = 'Arousing gel', target = 'girl', type = IT_Toy, pic = 'Arousing gel.webp', rank = 1, rarity = 2, charges = 8, price = 125, effects = (Effect('gain', 'service', 1, 0.5), ), description = "Chance to improve Service when resting (limited uses)."),
                    Item(name = 'Egg vibrator', target = 'girl', type = IT_Toy, pic = 'Egg vibrator.webp', rank = 2, rarity = 3, charges = 8, price = 500, effects = (Effect('gain', 'service', 2, 0.5), ), description = "Chance to improve Service when resting (limited uses)."),
                    Item(name = 'Long vibrator', target = 'girl', type = IT_Toy, pic = 'Long vibrator.webp', rank = 3, rarity = 4, charges = 8, price = 2500, effects = (Effect('gain', 'service', 3, 0.5), ), description = "Chance to improve Service when resting (limited uses)."),
                    Item(name = 'Arcanic vibrator', target = 'girl', type = IT_Toy, pic = 'Arcanic vibrator.webp', rank = 4, rarity = 5, charges = 8, price = 10000, effects = (Effect('gain', 'service', 5, 0.5), ), description = "Chance to improve Service when resting (limited uses)."),
                    Item(name = 'Lucky charm', target = 'girl', type = IT_Necklace, pic = 'Lucky charm.webp', rank = 1, rarity = 2, price = 1250, effects = (Effect('special', 'lucky', 1), ), description = "It is said to bring luck to its owner. The rabbit it belonged to might disagree..."),
                    Item(name = 'Leather choker', target = 'girl', type = IT_Necklace, pic = 'Leather choker.webp', rank = 1, rarity = 2, price = 750, effects = (Effect('boost', 'obedience tests', 0.2), ), ),
                    Item(name = 'Bronze amulet', target = 'girl', type = IT_Necklace, pic = 'Bronze amulet.webp', rank = 2, rarity = 3, price = 2500, effects = (Effect('boost', 'all regular skills gains', 0.05), ), ),
                    Item(name = 'Silver amulet', target = 'girl', type = IT_Necklace, pic = 'Silver amulet.webp', rank = 3, rarity = 4, price = 12500, effects = (Effect('boost', 'all regular skills gains', 0.1), ), ),
                    Item(name = 'Gold amulet', target = 'girl', type = IT_Necklace, pic = 'Gold amulet.webp', rank = 4, rarity = 5, price = 25000, effects = (Effect('boost', 'all regular skills gains', 0.15), ), ),
                    Item(name = 'Monster pearl necklace', target = 'girl', type = IT_Necklace, pic = 'Monster pearl necklace.webp', rank = 3, rarity = 5, price = 25000, effects = (Effect('boost', 'all sex skills gains', 0.1), ), description =  "It came from the sea..."),
                    Item(name = 'Ale', target = 'girl', type = IT_Supplies, pic = 'Ale.webp', rank = 1, rarity = 1, charges = 10, price = 500, effects = (Effect('change', 'waitress results', 1), ), description =  "Used when working."),
                    Item(name = 'Massage oil', target = 'girl', type = IT_Supplies, pic = 'Massage oil.webp', rank = 1, rarity = 1, charges = 10, price = 500, effects = (Effect('change', 'masseuse results', 1), ), description =  "Used when working."),
                    Item(name = 'Tanning oil', target = 'girl', type = IT_Supplies, pic = 'Tanning oil.webp', rank = 1, rarity = 1, charges = 10, price = 500, effects = (Effect('change', 'dancer results', 1), ), description =  "Used when working."),
                    Item(name = 'Fans', target = 'girl', type = IT_Supplies, pic = 'Fans.webp', rank = 1, rarity = 1, charges = 10, price = 500, effects = (Effect('change', 'geisha results', 1), ), description =  "Used when working."),
                    Item(name = 'Sensual perfume', target = 'girl', type = IT_Supplies, pic = 'Sensual perfume.webp', rank = 1, rarity = 3, charges = 10, price = 750, effects = (Effect('change', 'service results', 1), ), description =  "Used when working."),
                    Item(name = 'Gel', target = 'girl', type = IT_Supplies, pic = 'Gel.webp', rank = 1, rarity = 3, charges = 10, price = 750, effects = (Effect('change', 'sex results', 1), ), description =  "Used when working."),
                    Item(name = 'Enema', target = 'girl', type = IT_Supplies, pic = 'Enema.webp', rank = 1, rarity = 3, charges = 10, price = 750, effects = (Effect('change', 'anal results', 1), ), description =  "Used when working."),
                    Item(name = 'Wax', target = 'girl', type = IT_Supplies, pic = 'Wax.webp', rank = 1, rarity = 3, charges = 10, price = 750, effects = (Effect('change', 'fetish results', 1), ), description =  "Used when working."),
                    Item(name = 'Wyvern egg', target = 'girl', type = IT_Misc, pic = 'Wyvern egg.webp', rank = 1, rarity = "S", charges = 1, price = 15000, effects = (Effect('gain', 'perk', 1), ), description = "A dish fit for a brothel queen.", sound = "crunch.ogg"),
                    Item(name = 'Glasses', target = 'girl', type = IT_Accessory, pic = 'Glasses.webp', rank = 1, rarity = 3, price = 1000, effects = (Effect('boost', 'xp gains', 0.1), ), ),
                    Item(name = 'Tail', target = 'girl', type = IT_Accessory, pic = 'Tail.webp', rank = 1, rarity = 3, price = 1000, effects = (Effect('boost', 'reputation gains', 0.2), ), ),
                    Item(name = 'Bunny ears', target = 'girl', type = IT_Accessory, pic = 'Bunny ears.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'waitress results', 1), ), ),
                    Item(name = 'Hairpin', target = 'girl', type = IT_Accessory, pic = 'Hairpin.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'masseuse results', 1), ), ),
                    Item(name = 'Nun veil', target = 'girl', type = IT_Accessory, pic = 'Nun veil.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'dancer results', 1), ), ),
                    Item(name = 'Noh mask', target = 'girl', type = IT_Accessory, pic = 'Noh mask.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'geisha results', 1), ), ),
                    Item(name = 'Cat ears', target = 'girl', type = IT_Accessory, pic = 'Cat ears.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'service results', 1), ), ),
                    Item(name = 'Nurse hat', target = 'girl', type = IT_Accessory, pic = 'Nurse hat.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'sex results', 1), ), ),
                    Item(name = 'Leather cap', target = 'girl', type = IT_Accessory, pic = 'Leather cap.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'anal results', 1), ), ),
                    Item(name = 'Maid hat', target = 'girl', type = IT_Accessory, pic = 'Maid hat.webp', rank = 1, rarity = 4, price = 2500, effects = (Effect('change', 'fetish results', 1), ), ),
                    Item(name = 'Magic notebook', target = 'MC', type = IT_Passive, pic = 'Magic notebook.webp', template = False, rank = 1, rarity = "S", price = 5000, effects = (Effect('special', 'notebook', 1), ), description = "This handy notebook will store all the information you know about your girls. It magically writes down all your thoughts. Wait, don't think about {i}that{/i}... Too late.", hidden_effect = True),
                    Item(name = 'Healing powder', target = 'minion', type = IT_Misc, pic = 'healing powder.webp', template = False, rank = 1, rarity = "M", charges = 1, price = 100, effects = (Effect('special', 'heal minion', 1), ), description = "This mysterious powder from the East will heal a minion's wounds or repair a magical artefact. Side effects may include dizziness, horniness, tentacles sprouting all over body."),
                    Item(name = 'Cimerian scrap', target = 'misc', type = IT_Misc, pic = 'Cimerian scrap.webp', template = False, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 250, effects = (), description = "A mysterious piece of ancient technological junk."),
                    Item(name = 'Cimerian artefact', target = 'misc', type = IT_Misc, pic = 'Cimerian artefact.webp', template = False, rank = 1, max_rank = 5, rarity = 4, charges = 1, price = 1000, effects = (), description = "A mysterious piece of ancient machinery. Also, junk."),
                    Item(name = "Lightning Rod", target = 'MC', type = IT_Misc, pic = "lightning rod.webp", template=False, rank=2, max_rank = 5, rarity=3, price = 1000, effects = (), description = "Prevents lightning bolts from hurting you. It could save your ass in the right situation, although the chance to be hit by lighning while working in a brothel is very low. A syphilis rod might be more useful."),
                    
                    Item(name = 'White flower', target = 'girl', type = IT_Flower, pic = 'White flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'white', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Yellow flower', target = 'girl', type = IT_Flower, pic = 'Yellow flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'yellow', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Red flower', target = 'girl', type = IT_Flower, pic = 'Red flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'red', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Green flower', target = 'girl', type = IT_Flower, pic = 'Green flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'green', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Blue flower', target = 'girl', type = IT_Flower, pic = 'Blue flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'blue', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Orange flower', target = 'girl', type = IT_Flower, pic = 'Orange flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'orange', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Purple flower', target = 'girl', type = IT_Flower, pic = 'Purple flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'purple', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Pink flower', target = 'girl', type = IT_Flower, pic = 'Pink flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'pink', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                    Item(name = 'Black flower', target = 'girl', type = IT_Flower, pic = 'Black flower.webp', template = False, rank = 1, max_rank = 5, rarity = 1, price = 75, effects = (Effect('flower', 'black', 1), ), description = "Flowers are often used as gifts for one's love interest.", hidden_effect = True),
                
                    ]
        
        extractor_items = {"extractor1" : Item(name="Extractor Mk I", target="MC", type=IT_Story, pic="extractor1.webp", template = False, rarity = "S", price = 5000, effects=[], description = "This strange steam machine lets you harvest wood, dye or leather automatically. Deploy on site."),
                           "extractor2" : Item(name="Extractor Mk II", target="MC", type=IT_Story, pic="extractor2.webp", template = False, rarity = "S", price = 25000, effects=[], description = "This strange steam machine lets you harvest marble, silk or ore automatically. Deploy on site."),
                            }
        
        
        magic_notebook = Item(name = 'Magic notebook', target = 'MC', type = IT_Passive, pic = 'Magic notebook.webp', template = False, rank = 1, rarity = "S", price = 5000, effects = (Effect('special', 'notebook', 1), ), description = "This handy notebook will store all the information you know about your girls. It magically writes down all your thoughts. Wait, don't think about {i}that{/i}... Too late.", hidden_effect = True)
        mania_amulet = Item(name = "Cheap charm", target = 'MC', type = IT_Story, pic = 'charm.webp', template = False, rank = 1, rarity = "S", price = 10, description = "A cheap amulet found with a mysterious letter mentioning a club called 'Mania' in the guild quarter.", hidden_effect = True)

        
#        flower_items = [
#                        
#                        ]

        # TEMPLATE ITEMS #
        
        template_items =   [
                            Item(name = 'Stolen underwear', target = 'MC', type = IT_Misc, pic = 'Stolen underwear.webp', template = True, rank = 1, max_rank = 5, rarity = "S", charges = 1, price = 500, effects = (Effect('gain', 'prestige', 2), ), description = "So you're into these, eh?"),
                            Item(name = 'Romantic novel', target = 'gift', type = IT_Gift, pic = 'Romantic novel.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'cute', 1), Effect('gift', 'book', 1), ), description =  "A knight in shining armor. A princess. A plumber. The usual.", hidden_effect = True),
                            Item(name = 'Erotic manual', target = 'gift', type = IT_Gift, pic = 'Erotic manual.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'erotica', 1), Effect('gift', 'book', 1), ), description =  "50 positions that you can only achieve using black magic.", hidden_effect = True),
                            Item(name = 'Goldleaf book', target = 'gift', type = IT_Gift, pic = 'Goldleaf book.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'precious', 1), Effect('gift', 'book', 1), ), description =  "What does it talk about? Who cares! It's shiny.", hidden_effect = True),
                            Item(name = 'Book of magical cocktails', target = 'gift', type = IT_Gift, pic = 'Book of magical cocktails.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'drinks', 1), Effect('gift', 'book', 1), ), description =  "Warning: consuming those potions may result in loss of memory. Also,  dignity.", hidden_effect = True),
                            Item(name = 'Pet', target = 'gift', type = IT_Gift, pic = 'Pet.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'cute', 1), Effect('gift', 'precious', 1), ), description =  "Isn't he adorable? As long as he doesn't bite your hand off...", hidden_effect = True),
                            Item(name = 'Silky nighties', target = 'gift', type = IT_Gift, pic = 'Silky nighties.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'cute', 1), Effect('gift', 'erotica', 1), ), description =  "Smooth and sexy.", hidden_effect = True),
                            Item(name = 'Sakura liquor', target = 'gift', type = IT_Gift, pic = 'Sakura liquor.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'cute', 1), Effect('gift', 'drinks', 1), ), description =  "A subtle drink made of distilled flower petals.", hidden_effect = True),
                            Item(name = 'Sexy high heels', target = 'gift', type = IT_Gift, pic = 'Sexy high heels.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'erotica', 1), Effect('gift', 'precious', 1), ), description =  "Some women would kill to get their hands on those shoes. Actually,  they're a little blood spattered.", hidden_effect = True),
                            Item(name = 'Champagne', target = 'gift', type = IT_Gift, pic = 'Champagne.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'drinks', 1), Effect('gift', 'precious', 1), ), description =  "'Le Nouveau Riche': A strong drink; also, a statement that you can afford it.", hidden_effect = True),
                            Item(name = 'Aphrodisiac', target = 'gift', type = IT_Gift, pic = 'Aphrodisiac.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 100, effects = (Effect('gift', 'drinks', 1), Effect('gift', 'erotica', 1), ), description =  "Fire in your belly,  fire in your pants...", hidden_effect = True),
                            Item(name = 'Pretty ring', target = 'girl', type = IT_Ring, pic = 'Pretty ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 150, effects = (Effect('change', 'beauty', 5), ), ),
                            Item(name = 'Bronze ring', target = 'girl', type = IT_Ring, pic = 'Bronze ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 150, effects = (Effect('change', 'body', 5), ), ),
                            Item(name = 'Zanic ring', target = 'girl', type = IT_Ring, pic = 'Zanic ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 150, effects = (Effect('change', 'charm', 5), ), ),
                            Item(name = 'Silver ring', target = 'girl', type = IT_Ring, pic = 'Silver ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 150, effects = (Effect('change', 'refinement', 5), ), ),
                            Item(name = 'Gold ring', target = 'girl', type = IT_Ring, pic = 'Gold ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('change', 'libido', 5), ), ),
                            Item(name = 'Marine ring', target = 'girl', type = IT_Ring, pic = 'Marine ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('change', 'sensitivity', 5), ), ),
                            Item(name = 'Iron ring', target = 'girl', type = IT_Ring, pic = 'Iron ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 375, effects = (Effect('change', 'obedience', 5), ), ),
                            Item(name = 'Wooden ring', target = 'girl', type = IT_Ring, pic = 'Wooden ring.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('change', 'constitution', 5), ), ),
                            Item(name = 'Blue ribbon', target = 'girl', type = IT_Necklace, pic = 'Blue ribbon.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 100, effects = (Effect('boost', 'beauty gains', 0.1), ), ),
                            Item(name = 'Pearl necklace', target = 'girl', type = IT_Necklace, pic = 'Pearl necklace.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 100, effects = (Effect('boost', 'body gains', 0.1), ), ),
                            Item(name = 'Moon necklace', target = 'girl', type = IT_Necklace, pic = 'Moon necklace.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 100, effects = (Effect('boost', 'charm gains', 0.1), ), ),
                            Item(name = 'Ivory necklace', target = 'girl', type = IT_Necklace, pic = 'Ivory necklace.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 100, effects = (Effect('boost', 'refinement gains', 0.1), ), ),
                            Item(name = 'Choker necklace', target = 'girl', type = IT_Necklace, pic = 'Choker necklace.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('boost', 'libido gains', 0.1), ), ),
                            Item(name = 'Dog collar', target = 'girl', type = IT_Necklace, pic = 'Dog collar.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('boost', 'obedience gains', 0.1), ), ),
                            Item(name = 'Silver chain', target = 'girl', type = IT_Necklace, pic = 'Silver chain.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('boost', 'sensitivity gains', 0.1), ), ),
                            Item(name = 'Dagger necklace', target = 'girl', type = IT_Necklace, pic = 'Dagger necklace.webp', template = True, rank = 1, max_rank = 5, rarity = 2, price = 250, effects = (Effect('boost', 'constitution gains', 0.1), ), ),
                            Item(name = 'Gold bag', target = 'girl', type = IT_Misc, pic = 'Gold bag.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 600, effects = (Effect('special', 'level', 5), ), description =  "Instant level up. Use it wisely...",adjectives = "ring"),
                            Item(name = 'Jewel bag', target = 'girl', type = IT_Misc, pic = 'Jewel bag.webp', template = True, rank = 1, max_rank = 5, rarity = 3, charges = 1, price = 500, effects = (Effect('gain', 'skill points', 5), ), description =  "Get extra skill points."),
                            Item(name = 'Knowledge scroll', target = 'girl', type = IT_Misc, pic = 'Knowledge scroll.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 400, effects = (Effect('gain', 'xp', 50), ), description =  "Get free xp", adjectives = "scroll"),
                            Item(name = 'Medicine bag', target = 'girl', type = IT_Misc, pic = 'Medicine bag.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 250, effects = (Effect('special', 'heal', 2), ), description =  ""),
                            Item(name = 'Tonic', target = 'girl', type = IT_Misc, pic = 'Tonic.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 75, effects = (Effect('gain', 'energy', 20), ), description =  ""),
                            Item(name = 'Wine', target = 'girl', type = IT_Misc, pic = 'Wine.webp', template = True, rank = 1, max_rank = 5, rarity = 1, charges = 1, price = 75, effects = (Effect('gain', 'mood', 10), ), description =  ""),
                            Item(name = 'Apple', target = 'girl', type = IT_Food, pic = 'Apple.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 50, effects = (Effect('change', 'beauty', 5), ), ),
                            Item(name = 'Pear', target = 'girl', type = IT_Food, pic = 'Pear.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 50, effects = (Effect('change', 'body', 5), ), ),
                            Item(name = 'Peach', target = 'girl', type = IT_Food, pic = 'Peach.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 50, effects = (Effect('change', 'charm', 5), ), ),
                            Item(name = 'Grapes', target = 'girl', type = IT_Food, pic = 'Grapes.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 50, effects = (Effect('change', 'refinement', 5), ), ),
                            Item(name = 'Sausage', target = 'girl', type = IT_Food, pic = 'Sausage.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 75, effects = (Effect('change', 'libido', 5), ), ),
                            Item(name = 'Cheese', target = 'girl', type = IT_Food, pic = 'Cheese.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 75, effects = (Effect('change', 'sensitivity', 5), ), ),
                            Item(name = 'Chicken', target = 'girl', type = IT_Food, pic = 'Chicken.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 90, effects = (Effect('change', 'obedience', 5), ), ),
                            Item(name = 'Roastbeef', target = 'girl', type = IT_Food, pic = 'Roastbeef.webp', template = True, rank = 1, max_rank = 6, rarity = 1, charges = 10, price = 75, effects = (Effect('change', 'constitution', 5), ), ),
                            Item(name = 'Love potion', target = 'girl', type = IT_Misc, pic = 'Love potion.webp', template = True, rank = 1, max_rank = 6, rarity = 2, charges = 1, price = 100, effects = (Effect('gain', 'love', 2.5), ), description = "Who said money can't buy you love?"),
                            Item(name = 'Monster juice', target = 'girl', type = IT_Misc, pic = 'Monster juice.webp', template = True, rank = 1, max_rank = 6, rarity = 2, charges = 1, price = 60, effects = (Effect('gain', 'fear', 2.5), ), description = "You don't want to know from which monster body parts this came from."),
                            Item(name = 'Pink panties', target = 'girl', type = IT_Accessory, pic = 'Pink panties.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 125, effects = (Effect('change', 'beauty', 5), ), ),
                            Item(name = 'Hot pants', target = 'girl', type = IT_Accessory, pic = 'Hot pants.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 125, effects = (Effect('change', 'body', 5), ), ),
                            Item(name = 'Lowcut panties', target = 'girl', type = IT_Accessory, pic = 'Lowcut panties.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 125, effects = (Effect('change', 'charm', 5), ), ),
                            Item(name = 'Lace panties', target = 'girl', type = IT_Accessory, pic = 'Lace panties.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 125, effects = (Effect('change', 'refinement', 5), ), ),
                            Item(name = 'Sexy panties', target = 'girl', type = IT_Accessory, pic = 'Sexy panties.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('change', 'libido', 5), ), ),
                            Item(name = 'Seethrough panties', target = 'girl', type = IT_Accessory, pic = 'Seethrough panties.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 250, effects = (Effect('change', 'sensitivity', 5), ), ),
                            Item(name = 'Chastity belt', target = 'girl', type = IT_Accessory, pic = 'Chastity belt.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 350, effects = (Effect('change', 'obedience', 5), ), ),
                            Item(name = 'Thong', target = 'girl', type = IT_Accessory, pic = 'Thong.webp', template = True, rank = 1, max_rank = 6, rarity = 2, price = 175, effects = (Effect('change', 'constitution', 5), ), ),
                            Item(name = 'Bunny suit', target = 'girl', type = IT_Dress, pic = 'Bunny suit.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 250, effects = (Effect('change', 'body', 5), Effect('change', 'libido', 5), ), ),
                            Item(name = 'Guard uniform', target = 'girl', type = IT_Dress, pic = 'Guard uniform.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 250, effects = (Effect('change', 'charm', 5), Effect('change', 'constitution', 5), ), ),
                            Item(name = 'School uniform', target = 'girl', type = IT_Dress, pic = 'School uniform.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 250, effects = (Effect('change', 'beauty', 5), Effect('change', 'sensitivity', 5), ), ),
                            Item(name = 'Bikini', target = 'girl', type = IT_Dress, pic = 'Bikini.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 250, effects = (Effect('change', 'body', 5), Effect('change', 'constitution', 5), ), ),
                            Item(name = 'Kimono', target = 'girl', type = IT_Dress, pic = 'Kimono.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 350, effects = (Effect('change', 'refinement', 5), Effect('change', 'obedience', 5), ), ),
                            Item(name = 'Swimsuit', target = 'girl', type = IT_Dress, pic = 'Swimsuit.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 250, effects = (Effect('change', 'beauty', 5), Effect('change', 'libido', 5), ), ),
                            Item(name = 'Frilly dress', target = 'girl', type = IT_Dress, pic = 'Frilly dress.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 250, effects = (Effect('change', 'charm', 5), Effect('change', 'sensitivity', 5), ), ),
                            Item(name = 'Leather dress', target = 'girl', type = IT_Dress, pic = 'Leather dress.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 250, effects = (Effect('change', 'constitution', 5), Effect('change', 'obedience', 5), ), ),
                            Item(name = 'Evening gown', target = 'girl', type = IT_Dress, pic = 'Evening gown.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 400, effects = (Effect('change', 'beauty', 5), Effect('change', 'charm', 5), Effect('change', 'refinement', 5), Effect('change', 'body', -5), ), ),
                            Item(name = 'Silk dress', target = 'girl', type = IT_Dress, pic = 'Silk dress.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 400, effects = (Effect('change', 'libido', 5), Effect('change', 'sensitivity', 5), Effect('change', 'obedience', 5), Effect('change', 'constitution', -5), ), ),
                            Item(name = 'Pompom uniform', target = 'girl', type = IT_Dress, pic = 'Pompom uniform.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 400, effects = (Effect('change', 'beauty', 5), Effect('change', 'charm', 5), Effect('change', 'body', 5), Effect('change', 'refinement', -5), ), ),
                            Item(name = 'Knight uniform', target = 'girl', type = IT_Dress, pic = 'Knight uniform.webp', template = True, rank = 1, max_rank = 6, rarity = 1, price = 400, effects = (Effect('change', 'body', 5), Effect('change', 'constitution', 5), Effect('change', 'obedience', 5), Effect('change', 'libido', -5), ), ),
                            Item(name = 'Black slavekini', target = 'girl', type = IT_Dress, pic = 'Black slavekini.webp', template = True, rank = 1, max_rank = 6, rarity = "S", price = 750, effects = (Effect('change', 'beauty', 5), Effect('change', 'body', 5), Effect('change', 'charm', 5), Effect('change', 'refinement', 5), ), ),
                            Item(name = 'Blue slavekini', target = 'girl', type = IT_Dress, pic = 'Blue slavekini.webp', template = True, rank = 1, max_rank = 6, rarity = "S", price = 1000, effects = (Effect('change', 'libido', 5), Effect('change', 'sensitivity', 5), Effect('change', 'obedience', 5), Effect('change', 'constitution', 5), ), ),
                            Item(name = 'Red slavekini', target = 'girl', type = IT_Dress, pic = 'Red slavekini.webp', template = True, rank = 1, max_rank = 6, rarity = "S", price = 2000, effects = (Effect('change', 'service', 5), Effect('change', 'sex', 5), Effect('change', 'anal', 5), Effect('change', 'fetish', 5), ), ),
                            Item(name = 'Sunny dress', target = 'girl', type = IT_Dress, pic = 'Sunny dress.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 300, effects = (Effect('change', 'beauty', 10), ), ),
                            Item(name = 'Revealing dress', target = 'girl', type = IT_Dress, pic = 'Revealing dress.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 300, effects = (Effect('change', 'body', 10), ), ),
                            Item(name = 'Exotic dress', target = 'girl', type = IT_Dress, pic = 'Exotic dress.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 300, effects = (Effect('change', 'charm', 10), ), ),
                            Item(name = 'Priestess robe', target = 'girl', type = IT_Dress, pic = 'Priestess robe.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 300, effects = (Effect('change', 'refinement', 10), ), ),
                            Item(name = 'Slutty dress', target = 'girl', type = IT_Dress, pic = 'Slutty dress.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 425, effects = (Effect('change', 'libido', 10), ), ),
                            Item(name = 'Seethrough dress', target = 'girl', type = IT_Dress, pic = 'Seethrough dress.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 425, effects = (Effect('change', 'sensitivity', 10), ), ),
                            Item(name = 'Maid uniform', target = 'girl', type = IT_Dress, pic = 'Maid uniform.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 500, effects = (Effect('change', 'obedience', 10), ), ),
                            Item(name = 'Gym uniform', target = 'girl', type = IT_Dress, pic = 'Gym uniform.webp', template = True, rank = 0, max_rank = 6, rarity = 0, price = 425, effects = (Effect('change', 'constitution', 10), ), ),
                            Item(name = 'Emerald ring', target = 'girl', type = IT_Ring, pic = 'Emerald ring.webp', template = True, rank = 1, max_rank = 5, rarity = 3, price = 500, effects = (Effect('change', 'service', 5), ), ),
                            Item(name = 'Ruby ring', target = 'girl', type = IT_Ring, pic = 'Ruby ring.webp', template = True, rank = 1, max_rank = 5, rarity = 3, price = 500, effects = (Effect('change', 'sex', 5), ), ),
                            Item(name = 'Amber ring', target = 'girl', type = IT_Ring, pic = 'Amber ring.webp', template = True, rank = 1, max_rank = 5, rarity = 3, price = 500, effects = (Effect('change', 'anal', 5), ), ),
                            Item(name = 'Saphire ring', target = 'girl', type = IT_Ring, pic = 'Saphire ring.webp', template = True, rank = 1, max_rank = 5, rarity = 3, price = 500, effects = (Effect('change', 'fetish', 5), ), ),
                            Item(name = 'Scroll of bartending', target = 'girl', type = IT_Misc, pic = 'Scroll of bartending.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'waitress jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Scroll of whirling', target = 'girl', type = IT_Misc, pic = 'Scroll of whirling.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'dancer jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Scroll of rubbing', target = 'girl', type = IT_Misc, pic = 'Scroll of rubbing.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'masseuse jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Scroll of etiquette', target = 'girl', type = IT_Misc, pic = 'Scroll of etiquette.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'geisha jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Scroll of Onan', target = 'girl', type = IT_Misc, pic = 'Scroll of Onan.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'service jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Scroll of Eros', target = 'girl', type = IT_Misc, pic = 'Scroll of Eros.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'sex jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Scroll of Sodom', target = 'girl', type = IT_Misc, pic = 'Scroll of Sodom.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'anal jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Scroll of Gomorrah', target = 'girl', type = IT_Misc, pic = 'Scroll of Gomorrah.webp', template = True, rank = 1, max_rank = 5, rarity = 2, charges = 1, price = 150, effects = (Effect('gain', 'fetish jp', 20), ), adjectives = "scroll"),
                            Item(name = 'Elvish-made penis enlarger', target = 'minion', type = IT_Misc, pic = 'enlarger.webp', template = True, rank = 1, max_rank = 5, rarity = "M", charges = 1, price = 120, effects = (Effect('gain', 'stallion xp', 10), ), description = "That's not mine. This sort of thing ain't my bag, baby!"),
                            Item(name = 'Machine lubricant', target = 'minion', type = IT_Misc, pic = 'lubricant.webp', template = True, rank = 1, max_rank = 5, rarity = "M", charges = 1, price = 120, effects = (Effect('gain', 'machine xp', 10), ), description = "Grease is good."),
                            Item(name = 'Strange feed', target = 'minion', type = IT_Misc, pic = 'feed.webp', template = True, rank = 1, max_rank = 5, rarity = "M", charges = 1, price = 120, effects = (Effect('gain', 'beast xp', 10), ), description = "Like it when they hold onto your leg and rubs themselves up and down? Because this feed sure makes them wanna do that."),
                            Item(name = 'Monster cookie', target = 'minion', type = IT_Misc, pic = 'cookie.webp', template = True, rank = 1, max_rank = 5, rarity = "M", charges = 1, price = 120, effects = (Effect('gain', 'monster xp', 10), ), description = "C is for cock-y.", adjectives = "food"),
                            ]
        
        all_items += generate_template_items(template_items)
                            
        item_dict = {it.name : it for it in all_items}
            
        
        # RESOURCES #
    
        resource_dict = {
                         "gold" : Resource("gold", rank=0, sound=s_gold),
                         "prestige" : Resource("prestige", rank=0, sound=s_chimes),
                         "action" : Resource("action", rank=0, sound=s_success),
                         "mana" : Resource("mana", rank=0, sound=s_spell),
                         "wood" : Resource("wood", rank=2, stat="strength", sound=s_saw, location=shipyard),
                         "dye" : Resource("dye", rank=2, stat="spirit", sound=s_bubbling, location=beach),
                         "leather" : Resource("leather", stat="charisma", rank=2, sound=s_equip_item, location=stables),
                         "marble" : Resource("marble", rank=3, stat="strength", sound=s_stone, location=old_ruins),
                         "silk" : Resource("silk", rank=3, stat="spirit", sound=s_dress, location=hanging_gardens),
                         "ore" : Resource("ore", rank=3, stat="charisma", sound=s_clash, location=guild_quarter),
                         "diamond" : Resource("diamond", rank=4, sound=s_success),
                        }
        
        auto_extractors = defaultdict(bool)
        
        # CREATE SHOPS #
        
        shop = NPC()
        init_items()
        
        # City Merchants
        
        city_merchants = [NPC_riche, NPC_ramias, NPC_gurigura, NPC_katryn, NPC_giftgirl, NPC_twins] 
        
        # Minion Merchants
        
        minion_merchants = [NPC_stella, NPC_goldie, NPC_willow, NPC_gina]
        
        # Equip magic notebook (temp)
        MC.items.append(magic_notebook)
        MC.equip(magic_notebook)
    
        
    #### QUESTS AND CLASSES ####
        
        # QUESTS #
        
        quest_templates = [
                        Quest("quest", name = 'Model needed', main_stat = 'Beauty', second_stat = 'Libido', other_stats = ("Body", "Charm", "Refinement"), tags = 'model', description = "I'm an artist, an artist I tell thee! I need a muse. Clothing unnecessary,", sound = s_sigh),
                        Quest("quest", name = 'Private dance', main_stat = 'Body', second_stat = 'Constitution', other_stats = ("Beauty", "Charm", "Refinement"), tags = 'dance', description = "Looking for a private, intimate dance....", sound = s_sigh),
                        Quest("quest", name = 'Entertain my guests', main_stat = 'Charm', second_stat = 'Obedience', other_stats = ("Beauty", "Body", "Refinement"), tags = 'waitress', description = "My guests are arriving soon, and nothing is ready! This is a disaster! I need your help!", sound = s_sigh),
                        Quest("quest", name = 'Escort needed', main_stat = 'Refinement', second_stat = 'Sensitivity', other_stats = ("Beauty", "Body", "Charm"), tags = 'geisha', description = "I have an important guild meeting, and I need to show them I'm not just anyone. Looking for an elite companion to impress those snubs.", sound = s_sigh),
                        Quest("quest", name = 'Make me feel young again', main_stat = 'Libido', second_stat = 'Sensitivity', other_stats = ("Beauty", "Body", "Refinement"), tags = 'sex', description = "It's been many a moon since lil' willy's gone to sleep. I need a girl to help me remember what it was like in the old days...", sound = s_aaha),
                        Quest("quest", name = 'Setting a record', main_stat = 'Constitution', second_stat = 'Libido', other_stats = ("Body", "Charm", "Refinement"), tags = 'anal', description = "I aim to break the record set by Long Dick Silver, and this will take long hours of practice... Help me get harder and stronger so that I can succeed!", sound = s_aaha),
                        Quest("quest", name = 'Girlfriend needed', main_stat = 'Sensitivity', second_stat = 'Obedience', other_stats = ("Beauty", "Charm", "Refinement"), tags = 'service', description = "I feel lonely... Will you help me forget my troubles?", sound = s_aaha),
                        Quest("quest", name = 'Hiring help', main_stat = 'Obedience', second_stat = 'Constitution', other_stats = ("Beauty", "Body", "Charm"), tags = 'maid', description = "I need an extra maid to help out in the mansion. There is a very specific uniform...", sound = s_aaha),
                        Quest("quest", name = 'Please teach my son', main_stat = 'Service', second_stat = 'Sex', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'service', description = "My son is already 21, and not yet married. He's a big oaf when it comes to women... Can you help him come out of his shell?", sound = s_mmmh),
                        Quest("quest", name = 'Bored in Zan', main_stat = 'Sex', second_stat = 'Anal', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'sex', description = "I'm stranded here, drinking ale all day at the local Inn. I'm bored out of my mind. Please send me some 'entertainment'.", sound = s_mmmh),
                        Quest("quest", name = 'Back door man', main_stat = 'Anal', second_stat = 'Fetish', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'anal', description = "The men don't know, but the little girls understand...", sound = s_mmmh),
                        Quest("quest", name = 'Night at the dungeon', main_stat = 'Fetish', second_stat = 'Service', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'fetish', description = "Looking for partners to help us test our new contraption. C'mon! It will be fun!", sound = s_mmmh),
                        Quest("quest", name = 'Private party', main_stat = 'Constitution', second_stat = 'Libido', other_stats = ("Body", "Charm", "Refinement"), tags = 'group', description = "Hosting a large delegation at my house. We need girls to entertain our guests in every way possible...", sound = s_aah),
                        Quest("quest", name = 'Ladies night', main_stat = 'Service', second_stat = 'Sex', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'group', description = "We are holding our traditional 'ladies night' at our local guild hall. Looking for a girl to play with a friend in front of the audience...", sound = s_aah),
                        ]
                    
        # CLASSES #
        
        class_templates = [
                            Quest("class", name = 'Modeling', main_stat = 'Beauty', second_stat = 'Libido', other_stats = ("Body", "Charm", "Refinement"), tags = 'model', description = "Learn the secrets to looking fabulous and have perfect hair at all times! Who wants to look natural anyway?", sound = s_sigh),
                            Quest("class", name = 'Dancing', main_stat = 'Body', second_stat = 'Constitution', other_stats = ("Beauty", "Charm", "Refinement"), tags = 'dance', description = "Zomba! Bodyfighting! Aqua reggeaton!\nHurry before we make up even more silly names!", sound = s_sigh),
                            Quest("class", name = 'Waitress', main_stat = 'Charm', second_stat = 'Obedience', other_stats = ("Beauty", "Body", "Refinement"), tags = 'waitress', description = "Learn the basics of working tables... You'll never spill a glass on a customer's crotch again, unless you want to!", sound = s_sigh),
                            Quest("class", name = 'Geisha', main_stat = 'Refinement', second_stat = 'Sensitivity', other_stats = ("Beauty", "Body", "Charm"), tags = 'geisha', description = "Master all Zanic traditional arts, including the exact science of tea ceremony trigonometry. Don't look like an ass because your tea cup is off 5 degrees to the left!", sound = s_sigh),
                            Quest("class", name = 'Massage', main_stat = 'Libido', second_stat = 'Sensitivity', other_stats = ("Beauty", "Body", "Refinement"), tags = 'masseuse', description = "Spend a relaxing few days at the spa with us. It will be awesome! As for the teaching... Wait, what teaching?", sound = s_aaha),
                            Quest("class", name = 'Swimming', main_stat = 'Constitution', second_stat = 'Libido', other_stats = ("Body", "Charm", "Refinement"), tags = 'swim', description = "The sun shining on exposed bodies... Water running along voluptuous curves... Tanning oil on glistenning skin... And swimming, of course. Erm.", sound = s_aaha),
                            Quest("class", name = 'Singing', main_stat = 'Sensitivity', second_stat = 'Obedience', other_stats = ("Beauty", "Charm", "Refinement"), tags = 'sing', description = "'Sing properly dammit, or I'll rip off your head and shove manure down your neck!'. How bad can a singing class be? Oh, you'll see...", sound = s_aaha),
                            Quest("class", name = 'Maid', main_stat = 'Obedience', second_stat = 'Constitution', other_stats = ("Beauty", "Body", "Charm"), tags = 'maid', description = "'If you want to clean up properly, you have to bend forward a lot more! More... More... Hmm, that's better.'", sound = s_aaha),
                            Quest("class", name = 'XXX', main_stat = 'Service', second_stat = 'Sex', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'XXX', description = "Learn to pleasure a man... Or a woman, if you're so inclined. Why not learn both?", sound = s_aah),
                            Quest("class", name = 'XXX', main_stat = 'Sex', second_stat = 'Anal', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'XXX', description = "Learn to pleasure a man... Or a woman, if you're so inclined. Why not learn both?", sound = s_aah),
                            Quest("class", name = 'Hardcore', main_stat = 'Anal', second_stat = 'Fetish', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'hardcore', description = "We've got more tools than a hardware store, more beasts than the palace zoo... And by the time we're finished, they're all gonna fit inside of her!", sound = s_scream),
                            Quest("class", name = 'Hardcore', main_stat = 'Fetish', second_stat = 'Service', other_stats = ("Libido", "Constitution", "Obedience", "Sensitivity"), tags = 'hardcore', description = "We've got more tools than a hardware store, more beasts than the palace zoo... And by the time we're finished, theyr'e all gonna fit inside of you!", sound = s_scream),
                            ]
                            
        # CREATE POSTING BOARD #
        
        quest_board = NPC()
        load_quest_pics()
        
        
    #### CALENDAR ####
        
        # SET UP CALENDAR

        calendar.updates()
        
        # CREATE MOONS
        
        moons = {
                 1 : Moon("gold", effects=[Effect("boost", "income", value = 0.5, scope = "brothel")], description="A new year is just starting in Xeros! This is the most important holiday of the year. People are encouraged to spend a lot to show off their good fortune.", sound = s_gold),
                 2 : Moon("wolf", effects=[Effect("boost", "city rewards", 1, scope="brothel"), Effect("change", "city rewards", 1, scope="brothel"), Effect("boost", "resource extraction", 1, scope="brothel")], description="This month is the coldest of the year. It is said that adventurers that brave this tough season can reap the best rewards.", sound = s_wolf),
                 3 : Moon("blue", effects=[Effect("change", "customers", 2, scope="brothel", scales_with="district"), Effect("change", "mood modifier", -1)], description="On a blue moon, people feel depressed and lonely. Many look for company in the town's many brothels.", sound = s_crowd_cheer),
                 4 : Moon("blood", effects=[Effect("boost", "crazy", 1, scope="brothel"), Effect("change", "threat", 2, scales_with = "district")], description="Something about this moon drives otherwise normal people crazy. Violent crimes always peak during this month.", sound = s_fire),
                 5 : Moon("honey", effects=[Effect("boost", "love gains", 1, scope="world"), Effect("boost", "fear gains", -0.5, scope="world")], description="A favorite month for lovers to elope together, their passion bright and short-lived as a spring flower.", sound = s_potion),
                 6 : Moon("dry", effects=[Effect("change", "work obedience target", -15, scope="brothel"), Effect("change", "whore obedience target", 15, scope="brothel"), Effect("change", "train obedience target", 15, scope="brothel")], description="The dry moon is nothing special, quite boring really. People would rather tend to the task at hand than idly stare at this dull moon.", sound = s_sigh),
                 7 : Moon("hunter", effects=[Effect("boost", "quest rewards", 1, scope="brothel"), Effect("boost", "class results", 1, scope="brothel"), Effect("boost", "income", -0.25, scope="brothel")], description="Hunting season is at its peak. This month was especially holy to the elder races.", sound = s_sheath),
                 8 : Moon("harvest", effects=[Effect("boost", "farm preference increase", 1, scope="farm"), Effect("boost", "all sex acts preference increase", -0.5, scope="brothel")], description="It's time to harvest your crops, tend to your cattle, find a partner, and bang her brains out.", sound = s_moo),
                 9 : Moon("silver", effects=[Effect("change", "mana", 1, scope="brothel", scales_with="spirit")], description="The silver moon is at its peak magical energy. Experienced spellcasters are careful to cast their most powerful spells and invocations on this month.", sound = s_spell),
                 10 : Moon("wet", effects=[Effect("change", "whore obedience target", -15, scope="brothel"), Effect("change", "train obedience target", -15, scope="brothel"), Effect("boost", "customer events", 1, scope="brothel"), Effect("boost", "dirt", 0.25)], description="The water spirits grant the moon a surreal quality this month. It is said to make everyone loosen up a little.", sound = s_mmh),
                 11 : Moon("hallow", effects=[Effect("boost", "threat", 0.3, scope="brothel"), Effect("boost", "crazy", 2, scope="brothel"), Effect("change", "customer defense", 2, scope="brothel")], description="This pagan holly month is the time of the year when monsters and spirits thrive, and the kids in Zan play 'Tricks or Tits'.", sound = s_maniacal_laugh),
                 12 : Moon("dark", effects=[Effect("boost", "love gains", -0.5, scope="world"), Effect("boost", "fear gains", 1, scope="world")], description="Under a dark moon, everything seems more frightening. This is the darkest of winter, only broken by the season festival Zan people call H-mas.", sound = s_mystery),
                }
        
        
        # CITY EVENT DICTIONARY
        
        event_dict = {
                      "zodiac_intro" : StoryEvent("zodiac_intro", type="day", once=False),
                      
                      "farm_meet_gizel" : StoryEvent(label = "farm_meet_gizel", chapter = 1, chance = 0.5, location = "spice market", condition = None, not_condition = None, once = True),
                      "farm_meet_gizel2" : StoryEvent(label = "farm_meet_gizel2", chapter = 1, chance = 1.0, location = "junkyard", condition = None, not_condition = None, once = True),
                      "farm_go_with_gizel" : StoryEvent(label = "farm_go_with_gizel", chapter = 1, chance = 1.0, location = "farm", condition = None, not_condition = None, once = True),
                      "farm_found_a_place" : StoryEvent(label = "farm_found_a_place", chapter = 1, chance = 1.0, location = "junkyard", condition = None, not_condition = None, once = True),
                      "farm_gizel_introduction" : StoryEvent(label = "farm_gizel_introduction", chapter = 1, chance = 1.0, location = "farm", condition = None, not_condition = None, once = True),
                      "farm_meet_goldie" : StoryEvent(label = "farm_meet_goldie", chapter = 1, chance = 0.5, location = "farm", condition = None, not_condition = None, once = True),
                      "farm_meet_stella" : StoryEvent(label = "farm_meet_stella", chapter = 2, chance = 1.0, location = "harbor", condition = None, not_condition = None, once = True),
                      "farm_meet_willow" : StoryEvent(label = "farm_meet_willow", chapter = 1, chance = 1.0, location = "sewers", condition = None, not_condition = None, once = True),
                      "farm_meet_gina" : StoryEvent(label = "farm_meet_gina", chapter = 1, chance = 1.0, location = "junkyard", condition = None, not_condition = None, once = True),
                      "farm_activate_goldie" : StoryEvent(label = "farm_activate_goldie", chapter = 1, chance = 1.0, location = "farm", condition = None, not_condition = None, once = True),
                      "farm_second_monster" : StoryEvent(label = "farm_second_monster", chapter = 1, chance = 1.0, location = "farm", condition = None, not_condition = None, once = True),
                      
                      "c1_visit_watchtower" : StoryEvent(label = "c1_visit_watchtower", chapter = 1, chance = 1.0, location = "watchtower", condition = "c1_goal_reached", min_gold=1000, not_condition = None, once = True),
                      "c1_thieves_guild_tip" : StoryEvent(label = "c1_thieves_guild_tip", chapter = 1, chance = 0.25, not_condition = "c1_spice_market"),
                      "c1_spice_market_25" : StoryEvent(label = "c1_spice_market", chapter = 1, chance = 0.25, location = "spice market", condition = "c1_thieves_guild_tip"),
                      "c1_spice_market" : StoryEvent(label = "c1_spice_market", chapter = 1, chance = 1.0, location = "spice market", condition = "c1_thieves_guild_tip"),
                      "c1_sewers" : StoryEvent(label = "c1_sewers", chapter = 1, location = "sewers", condition = "c1_spice_market"),
                      "c1_sewers_return" : StoryEvent(label = "c1_sewers_return", chapter = 1, location = "sewers"),
                      "c1_thieves_guild_found" : StoryEvent(label = "c1_thieves_guild_found", chapter = 1, location = "thieves guild", not_condition = "c1_goal_reached"),
                      "c1_ask_guild_for_help" : StoryEvent(label = "c1_ask_guild_for_help", chapter = 1, location = "thieves guild", condition = "c1_robbed"),
                      "c1_satella_intro" : StoryEvent(label = "c1_satella_intro", chapter = 1, location = "thieves guild", condition = "c1_ask_guild_for_help"),
                      "c1_captain_meeting" : StoryEvent(label = "c1_captain_meeting", chapter = 1, location = "watchtower", condition = "c1_satella_intro"),
            
                      "c2_sewer_girl_returns" : StoryEvent(label = "c2_sewer_girl_returns", chapter = 2),
                      "c2_meet_carpenter" : StoryEvent(label = "meet_carpenter", location = "gallows"),
                      "c2_intro" : StoryEvent(label = "c2_intro", chapter=2),
            
                      "meet_gurigura" : StoryEvent(label = "meet_gurigura", location = "prison"),
                    "meet_ramias" : StoryEvent(label = "meet_ramias", location = "plaza"),
                    "meet_katryn" : StoryEvent(label = "meet_katryn", location = "library"),
                    "meet_riche" : StoryEvent(label = "meet_riche", location = "botanical garden"),
                    "meet_giftgirl" : StoryEvent(label = "meet_giftgirl", location = "exotic emporium"),
                    "meet_twins" : StoryEvent(label = "meet_twins", location = "pilgrim road"),
                      
                      "satella_first_visit" : StoryEvent(label = "satella_first_visit", location = "thieves guild", chapter = 2),
                      "satella_visit" : StoryEvent(label = "satella_visit", location = "thieves guild", chapter = 2, once = False),
            
                      "wood_intro" : StoryEvent(label = "wood_intro", location = "shipyard"),
                      "dye_intro" : StoryEvent(label = "dye_intro", location = "beach"),
                      "leather_intro" : StoryEvent(label = "leather_intro", location = "stables"),
                    "marble_intro" : StoryEvent(label = "marble_intro", location = "old ruins"),
                    "silk_intro" : StoryEvent(label = "silk_intro", location = "hanging gardens"),
                    "ore_intro" : StoryEvent(label = "ore_intro", location = "guild quarter"),
                    "diamond_intro" : StoryEvent(label = "diamond_intro", location = "waterfalls"),
                    
                    "willow fight" : StoryEvent(label = "willow_fight", chance = 0.04, once = False, room="onsen"),
                    "willow relative" : StoryEvent(label = "willow_relative", room="onsen"),
                    "gina research" : StoryEvent(label = "gina_research", location="prison"),
                    "jobgirl_beach" : StoryEvent(label = "jobgirl_beach", location="beach", once=False),
            
                    "stella_invitation" : StoryEvent(label = "stella_invitation", chance = 0.05, chapter=4),
                    "stella_secret1" : StoryEvent(label = "stella_secret1", location="guild quarter", condition_func=is_first_tuesday),
                    "stella_secret2" : StoryEvent(label = "stella_secret2", location="guild quarter", condition_func=is_first_tuesday, once=False),
                      
                     }
        
    # REGISTER STORY EVENTS
    
    if not debug_mode:
        call init_events() from _call_init_events_1
                
    # Create enemy general for the siege security event
    
    if dice(2) == 1:
        $ enemy_general = get_girls(1, free=True, p_traits=["Warrior"])[0]
    else:
        $ enemy_general = get_girls(1, free=True, p_traits=["Caster"])[0]
    $ enemy_general.love = -50
    
    
    # START MODS
    
    $ game.start_mods()
    
    return


label init_events():
    python:
        calendar.set_alarm(2, Event(label = "c1_gio_is_back"))
            
        calendar.set_alarm(5, Event(label = "c1_meet_kosmo"))
                            
        calendar.set_alarm(8, Event(label = "c1_ambush"))

        calendar.set_alarm(333, Event(label = "hmas"))

        daily_events.append(event_dict["zodiac_intro"])
        story_add_event("c1_thieves_guild_tip")
        story_add_event("farm_meet_gizel")
        story_add_event("farm_meet_goldie")
        story_add_event("c2_meet_carpenter")
        for res in build_resources:
            story_add_event(res + "_intro")
        
        story_add_event("meet_giftgirl")
        story_add_event("meet_twins")
         
    return